"use strict";

var _background = require("../background");

describe('bootstrap background utility', function () {
  it('getBackgroundUtilities should return a list of css utilities', function () {
    var css = (0, _background.getBackgroundUtilities)(_background.defaultProps['$enable-hover-media-query'], _background.defaultProps['$brand-primary'], _background.defaultProps['$brand-success'], _background.defaultProps['$brand-info'], _background.defaultProps['$brand-warning'], _background.defaultProps['$brand-danger'], _background.defaultProps['$brand-inverse'], _background.defaultProps['$gray-lightest']);
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toContain('.bg-primary {');
    expect(css).toContain('background-color: #0275d8 !important;');
    expect(css).toContain('a.bg-primary {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(2, 94, 173) !important;');
    expect(css).toContain('.bg-success {');
    expect(css).toContain('background-color: #5cb85c !important;');
    expect(css).toContain('a.bg-success {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(67, 154, 67) !important;');
    expect(css).toContain('.bg-info {');
    expect(css).toContain('background-color: #5bc0de !important;');
    expect(css).toContain('a.bg-info {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(42, 170, 209) !important;');
    expect(css).toContain('.bg-warning {');
    expect(css).toContain('background-color: #f0ad4e !important;');
    expect(css).toContain('a.bg-warning {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(235, 146, 20) !important;');
    expect(css).toContain('.bg-danger {');
    expect(css).toContain('background-color: #d9543f !important;');
    expect(css).toContain('a.bg-danger {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(187, 58, 37) !important;');
    expect(css).toContain('.bg-inverse {');
    expect(css).toContain('background-color: #373a3c !important;');
    expect(css).toContain('a.bg-inverse {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(44, 46, 48) !important;');
    expect(css).toContain('.bg-faded {');
    expect(css).toContain('background-color: #f7f7f9 !important;');
    expect(css).toContain('a.bg-faded {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(190, 190, 207) !important;');
  });
  it('getBackgroundUtilities should have arguments', function () {
    var css = (0, _background.getBackgroundUtilities)();
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toContain('.bg-primary {');
    expect(css).toContain('background-color: #0275d8 !important;');
    expect(css).toContain('a.bg-primary {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(2, 94, 173) !important;');
    expect(css).toContain('.bg-success {');
    expect(css).toContain('background-color: #5cb85c !important;');
    expect(css).toContain('a.bg-success {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(67, 154, 67) !important;');
    expect(css).toContain('.bg-info {');
    expect(css).toContain('background-color: #5bc0de !important;');
    expect(css).toContain('a.bg-info {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(42, 170, 209) !important;');
    expect(css).toContain('.bg-warning {');
    expect(css).toContain('background-color: #f0ad4e !important;');
    expect(css).toContain('a.bg-warning {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(235, 146, 20) !important;');
    expect(css).toContain('.bg-danger {');
    expect(css).toContain('background-color: #d9543f !important;');
    expect(css).toContain('a.bg-danger {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(187, 58, 37) !important;');
    expect(css).toContain('.bg-inverse {');
    expect(css).toContain('background-color: #373a3c !important;');
    expect(css).toContain('a.bg-inverse {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(44, 46, 48) !important;');
    expect(css).toContain('.bg-faded {');
    expect(css).toContain('background-color: #f7f7f9 !important;');
    expect(css).toContain('a.bg-faded {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(190, 190, 207) !important;');
  });
  it('bgFaded should return a css', function () {
    var css = (0, _background.bgFaded)(_background.defaultProps['$enable-hover-media-query'], _background.defaultProps['$body-bg']);
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toContain('.bg-faded {');
    expect(css).toContain('background-color: #f7f7f9 !important;');
    expect(css).toContain('a.bg-faded {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(190, 190, 207) !important;');
  });
  it('bgPrimary should return a css', function () {
    var css = (0, _background.bgPrimary)(_background.defaultProps['$enable-hover-media-query'], _background.defaultProps['$brand-primary']);
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toContain('.bg-primary {');
    expect(css).toContain('background-color: #0275d8 !important;');
    expect(css).toContain('}');
    expect(css).toContain('a.bg-primary {');
    expect(css).toContain('');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(2, 94, 173) !important;');
    expect(css).toContain('}');
  });
  it('bgSuccess should return a css', function () {
    var css = (0, _background.bgSuccess)(_background.defaultProps['$enable-hover-media-query'], _background.defaultProps['$brand-success']);
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toContain('.bg-success {');
    expect(css).toContain('background-color: #5cb85c !important;');
    expect(css).toContain('}');
    expect(css).toContain('a.bg-success {');
    expect(css).toContain('');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(67, 154, 67) !important;');
    expect(css).toContain('}');
  });
  it('bgInfo should return a css', function () {
    var css = (0, _background.bgInfo)(_background.defaultProps['$enable-hover-media-query'], _background.defaultProps['$brand-info']);
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toContain('.bg-info {');
    expect(css).toContain('background-color: #5bc0de !important;');
    expect(css).toContain('}');
    expect(css).toContain('a.bg-info {');
    expect(css).toContain('');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(42, 170, 209) !important;');
    expect(css).toContain('}');
  });
  it('bgWarning should return a css', function () {
    var css = (0, _background.bgWarning)(_background.defaultProps['$enable-hover-media-query'], _background.defaultProps['$brand-warning']);
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toContain('.bg-warning {');
    expect(css).toContain('background-color: #f0ad4e !important;');
    expect(css).toContain('}');
    expect(css).toContain('a.bg-warning {');
    expect(css).toContain('');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(235, 146, 20) !important;');
    expect(css).toContain('}');
  });
  it('bgDanger should return a css', function () {
    var css = (0, _background.bgDanger)(_background.defaultProps['$enable-hover-media-query'], _background.defaultProps['$brand-danger']);
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toContain('.bg-danger {');
    expect(css).toContain('background-color: #d9543f !important;');
    expect(css).toContain('}');
    expect(css).toContain('a.bg-danger {');
    expect(css).toContain('');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(187, 58, 37) !important;');
    expect(css).toContain('}');
  });
  it('bgInverse should return a css', function () {
    var css = (0, _background.bgInverse)(_background.defaultProps['$enable-hover-media-query'], _background.defaultProps['$brand-inverse']);
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toContain('.bg-inverse {');
    expect(css).toContain('background-color: #373a3c !important;');
    expect(css).toContain('a.bg-inverse {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(44, 46, 48) !important;');
  });
  it('bgFaded should have a parameter', function () {
    var css = (0, _background.bgFaded)();
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toContain('.bg-faded {');
    expect(css).toContain('background-color: #f7f7f9 !important;');
    expect(css).toContain('a.bg-faded {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(190, 190, 207) !important;');
  });
  it('bgFaded should have a parameter', function () {
    var css = (0, _background.bgPrimary)();
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toContain('.bg-primary {');
    expect(css).toContain('background-color: #0275d8 !important;');
    expect(css).toContain('a.bg-primary {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(2, 94, 173) !important;');
  });
  it('bgFaded should have a parameter', function () {
    var css = (0, _background.bgSuccess)();
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toContain('.bg-success {');
    expect(css).toContain('background-color: #5cb85c !important;');
    expect(css).toContain('a.bg-success {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(67, 154, 67) !important;');
  });
  it('bgFaded should have a parameter', function () {
    var css = (0, _background.bgInfo)();
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toContain('.bg-info {');
    expect(css).toContain('background-color: #5bc0de !important;');
    expect(css).toContain('a.bg-info {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(42, 170, 209) !important;');
  });
  it('bgFaded should have a parameter', function () {
    var css = (0, _background.bgWarning)();
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toContain('.bg-warning {');
    expect(css).toContain('background-color: #f0ad4e !important;');
    expect(css).toContain('a.bg-warning {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(235, 146, 20) !important;');
  });
  it('bgFaded should have a parameter', function () {
    var css = (0, _background.bgDanger)();
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toContain('.bg-danger {');
    expect(css).toContain('background-color: #d9543f !important;');
    expect(css).toContain('a.bg-danger {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(187, 58, 37) !important;');
    expect(css).toContain('}');
  });
  it('bgFaded should have a parameter', function () {
    var css = (0, _background.bgInverse)();
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toContain('.bg-inverse {');
    expect(css).toContain('background-color: #373a3c !important;');
    expect(css).toContain('a.bg-inverse {');
    expect(css).toContain('&:focus,');
    expect(css).toContain('&.focus,');
    expect(css).toContain('&:hover,');
    expect(css).toContain('&.hover {');
    expect(css).toContain('background-color: rgb(44, 46, 48) !important;');
  });
});