import theme from 'bootstrap-styled/lib/theme';
import { screenUtilities, printUtilities } from '../_api';

describe('bootstrap api utility', () => {
  it('should return all screen utilities', () => {
    const css = screenUtilities({
      xs: '0',
      sm: '576px',
      md: '768px',
      lg: '992px',
      xl: '1200px',
    }, theme.$utilities);
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toEqual(`.align-baseline {
      vertical-align: baseline !important;
    }
.align-top {
      vertical-align: top !important;
    }
.align-middle {
      vertical-align: middle !important;
    }
.align-bottom {
      vertical-align: bottom !important;
    }
.align-text-bottom {
      vertical-align: text-bottom !important;
    }
.align-text-top {
      vertical-align: text-top !important;
    }
.float-left {
      float: left !important;
    }
.float-right {
      float: right !important;
    }
.float-none {
      float: none !important;
    }
.overflow-auto {
      overflow: auto !important;
    }
.overflow-hidden {
      overflow: hidden !important;
    }
.d-none {
      display: none !important;
    }
.d-inline {
      display: inline !important;
    }
.d-inline-block {
      display: inline-block !important;
    }
.d-block {
      display: block !important;
    }
.d-table {
      display: table !important;
    }
.d-table-row {
      display: table-row !important;
    }
.d-table-cell {
      display: table-cell !important;
    }
.d-flex {
      display: flex !important;
    }
.d-inline-flex {
      display: inline-flex !important;
    }
.shadow-sm {
      box-shadow: 0 .125rem .25rem rgba(0, 0, 0, 0.075) !important;
    }
.shadow {
      box-shadow: 0 .5rem 1rem rgba(0, 0, 0, 0.15) !important;
    }
.shadow-lg {
      box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.175) !important;
    }
.shadow-none {
      box-shadow: none !important;
    }
.position-static {
      position: static !important;
    }
.position-relative {
      position: relative !important;
    }
.position-absolute {
      position: absolute !important;
    }
.position-fixed {
      position: fixed !important;
    }
.position-sticky {
      position: sticky !important;
    }
.border {
      border: 1px solid #dee2e6 !important;
    }
.border-0 {
      border: 0 !important;
    }
.border-top {
      border-top: 1px solid #dee2e6 !important;
    }
.border-top-0 {
      border-top: 0 !important;
    }
.border-right {
      border-right: 1px solid #dee2e6 !important;
    }
.border-right-0 {
      border-right: 0 !important;
    }
.border-bottom {
      border-bottom: 1px solid #dee2e6 !important;
    }
.border-bottom-0 {
      border-bottom: 0 !important;
    }
.border-left {
      border-left: 1px solid #dee2e6 !important;
    }
.border-left-0 {
      border-left: 0 !important;
    }
.border-primary {
      border-color: #0275d8 !important;
    }
.border-secondary {
      border-color: #6c757d !important;
    }
.border-success {
      border-color: #5cb85c !important;
    }
.border-info {
      border-color: #17a2b8 !important;
    }
.border-warning {
      border-color: #ffd500 !important;
    }
.border-danger {
      border-color: #d9534f !important;
    }
.border-light {
      border-color: #f8f9fa !important;
    }
.border-dark {
      border-color: #343a40 !important;
    }
.border-white {
      border-color: #fff !important;
    }
.w-25 {
      width: 25% !important;
    }
.w-50 {
      width: 50% !important;
    }
.w-75 {
      width: 75% !important;
    }
.w-100 {
      width: 100% !important;
    }
.w-auto {
      width: auto !important;
    }
.mw-100 {
      max-width: 100% !important;
    }
.vw-100 {
      width: 100vw !important;
    }
.min-vw-100 {
      min-width: 100vw !important;
    }
.h-25 {
      height: 25% !important;
    }
.h-50 {
      height: 50% !important;
    }
.h-75 {
      height: 75% !important;
    }
.h-100 {
      height: 100% !important;
    }
.h-auto {
      height: auto !important;
    }
.mh-100 {
      max-height: 100% !important;
    }
.vh-100 {
      height: 100vh !important;
    }
.min-vh-100 {
      min-height: 100vh !important;
    }
.flex-fill {
      flex: 1 1 auto !important;
    }
.flex-row {
      flex-direction: row !important;
    }
.flex-column {
      flex-direction: column !important;
    }
.flex-row-reverse {
      flex-direction: row-reverse !important;
    }
.flex-column-reverse {
      flex-direction: column-reverse !important;
    }
.flex-grow-0 {
      flex-grow: 0 !important;
    }
.flex-grow-1 {
      flex-grow: 1 !important;
    }
.flex-shrink-0 {
      flex-shrink: 0 !important;
    }
.flex-shrink-1 {
      flex-shrink: 1 !important;
    }
.flex-wrap {
      flex-wrap: wrap !important;
    }
.flex-nowrap {
      flex-wrap: nowrap !important;
    }
.flex-wrap-reverse {
      flex-wrap: wrap-reverse !important;
    }
.justify-content-start {
      justify-content: flex-start !important;
    }
.justify-content-end {
      justify-content: flex-end !important;
    }
.justify-content-center {
      justify-content: center !important;
    }
.justify-content-between {
      justify-content: space-between !important;
    }
.justify-content-around {
      justify-content: space-around !important;
    }
.align-items-start {
      align-items: flex-start !important;
    }
.align-items-end {
      align-items: flex-end !important;
    }
.align-items-center {
      align-items: center !important;
    }
.align-items-baseline {
      align-items: baseline !important;
    }
.align-items-stretch {
      align-items: stretch !important;
    }
.align-content-start {
      align-content: flex-start !important;
    }
.align-content-end {
      align-content: flex-end !important;
    }
.align-content-center {
      align-content: center !important;
    }
.align-content-between {
      align-content: space-between !important;
    }
.align-content-around {
      align-content: space-around !important;
    }
.align-content-stretch {
      align-content: stretch !important;
    }
.align-self-auto {
      align-self: auto !important;
    }
.align-self-start {
      align-self: flex-start !important;
    }
.align-self-end {
      align-self: flex-end !important;
    }
.align-self-center {
      align-self: center !important;
    }
.align-self-baseline {
      align-self: baseline !important;
    }
.align-self-stretch {
      align-self: stretch !important;
    }
.order-first {
      order: -1 !important;
    }
.order-0 {
      order: 0 !important;
    }
.order-1 {
      order: 1 !important;
    }
.order-2 {
      order: 2 !important;
    }
.order-3 {
      order: 3 !important;
    }
.order-4 {
      order: 4 !important;
    }
.order-5 {
      order: 5 !important;
    }
.order-last {
      order: 6 !important;
    }
.m-0 {
      margin: 0 !important;
    }
.m-1 {
      margin: 0.25rem !important;
    }
.m-2 {
      margin: 0.5rem !important;
    }
.m-3 {
      margin: 1rem !important;
    }
.m-4 {
      margin: 1.5rem !important;
    }
.m-5 {
      margin: 3rem !important;
    }
.m-auto {
      margin: auto !important;
    }
.mx-0 {
      margin-right: 0 !important;
margin-left: 0 !important;
    }
.mx-1 {
      margin-right: 0.25rem !important;
margin-left: 0.25rem !important;
    }
.mx-2 {
      margin-right: 0.5rem !important;
margin-left: 0.5rem !important;
    }
.mx-3 {
      margin-right: 1rem !important;
margin-left: 1rem !important;
    }
.mx-4 {
      margin-right: 1.5rem !important;
margin-left: 1.5rem !important;
    }
.mx-5 {
      margin-right: 3rem !important;
margin-left: 3rem !important;
    }
.mx-auto {
      margin-right: auto !important;
margin-left: auto !important;
    }
.my-0 {
      margin-top: 0 !important;
margin-bottom: 0 !important;
    }
.my-1 {
      margin-top: 0.25rem !important;
margin-bottom: 0.25rem !important;
    }
.my-2 {
      margin-top: 0.5rem !important;
margin-bottom: 0.5rem !important;
    }
.my-3 {
      margin-top: 1rem !important;
margin-bottom: 1rem !important;
    }
.my-4 {
      margin-top: 1.5rem !important;
margin-bottom: 1.5rem !important;
    }
.my-5 {
      margin-top: 3rem !important;
margin-bottom: 3rem !important;
    }
.my-auto {
      margin-top: auto !important;
margin-bottom: auto !important;
    }
.mt-0 {
      margin-top: 0 !important;
    }
.mt-1 {
      margin-top: 0.25rem !important;
    }
.mt-2 {
      margin-top: 0.5rem !important;
    }
.mt-3 {
      margin-top: 1rem !important;
    }
.mt-4 {
      margin-top: 1.5rem !important;
    }
.mt-5 {
      margin-top: 3rem !important;
    }
.mt-auto {
      margin-top: auto !important;
    }
.mr-0 {
      margin-right: 0 !important;
    }
.mr-1 {
      margin-right: 0.25rem !important;
    }
.mr-2 {
      margin-right: 0.5rem !important;
    }
.mr-3 {
      margin-right: 1rem !important;
    }
.mr-4 {
      margin-right: 1.5rem !important;
    }
.mr-5 {
      margin-right: 3rem !important;
    }
.mr-auto {
      margin-right: auto !important;
    }
.mb-0 {
      margin-bottom: 0 !important;
    }
.mb-1 {
      margin-bottom: 0.25rem !important;
    }
.mb-2 {
      margin-bottom: 0.5rem !important;
    }
.mb-3 {
      margin-bottom: 1rem !important;
    }
.mb-4 {
      margin-bottom: 1.5rem !important;
    }
.mb-5 {
      margin-bottom: 3rem !important;
    }
.mb-auto {
      margin-bottom: auto !important;
    }
.ml-0 {
      margin-left: 0 !important;
    }
.ml-1 {
      margin-left: 0.25rem !important;
    }
.ml-2 {
      margin-left: 0.5rem !important;
    }
.ml-3 {
      margin-left: 1rem !important;
    }
.ml-4 {
      margin-left: 1.5rem !important;
    }
.ml-5 {
      margin-left: 3rem !important;
    }
.ml-auto {
      margin-left: auto !important;
    }
.m-n1 {
      margin: -0.25rem !important;
    }
.m-n2 {
      margin: -0.5rem !important;
    }
.m-n3 {
      margin: -1rem !important;
    }
.m-n4 {
      margin: -1.5rem !important;
    }
.m-n5 {
      margin: -3rem !important;
    }
.mx-n1 {
      margin-right: -0.25rem !important;
margin-left: -0.25rem !important;
    }
.mx-n2 {
      margin-right: -0.5rem !important;
margin-left: -0.5rem !important;
    }
.mx-n3 {
      margin-right: -1rem !important;
margin-left: -1rem !important;
    }
.mx-n4 {
      margin-right: -1.5rem !important;
margin-left: -1.5rem !important;
    }
.mx-n5 {
      margin-right: -3rem !important;
margin-left: -3rem !important;
    }
.my-n1 {
      margin-top: -0.25rem !important;
margin-bottom: -0.25rem !important;
    }
.my-n2 {
      margin-top: -0.5rem !important;
margin-bottom: -0.5rem !important;
    }
.my-n3 {
      margin-top: -1rem !important;
margin-bottom: -1rem !important;
    }
.my-n4 {
      margin-top: -1.5rem !important;
margin-bottom: -1.5rem !important;
    }
.my-n5 {
      margin-top: -3rem !important;
margin-bottom: -3rem !important;
    }
.mt-n1 {
      margin-top: -0.25rem !important;
    }
.mt-n2 {
      margin-top: -0.5rem !important;
    }
.mt-n3 {
      margin-top: -1rem !important;
    }
.mt-n4 {
      margin-top: -1.5rem !important;
    }
.mt-n5 {
      margin-top: -3rem !important;
    }
.mr-n1 {
      margin-right: -0.25rem !important;
    }
.mr-n2 {
      margin-right: -0.5rem !important;
    }
.mr-n3 {
      margin-right: -1rem !important;
    }
.mr-n4 {
      margin-right: -1.5rem !important;
    }
.mr-n5 {
      margin-right: -3rem !important;
    }
.mb-n1 {
      margin-bottom: -0.25rem !important;
    }
.mb-n2 {
      margin-bottom: -0.5rem !important;
    }
.mb-n3 {
      margin-bottom: -1rem !important;
    }
.mb-n4 {
      margin-bottom: -1.5rem !important;
    }
.mb-n5 {
      margin-bottom: -3rem !important;
    }
.ml-n1 {
      margin-left: -0.25rem !important;
    }
.ml-n2 {
      margin-left: -0.5rem !important;
    }
.ml-n3 {
      margin-left: -1rem !important;
    }
.ml-n4 {
      margin-left: -1.5rem !important;
    }
.ml-n5 {
      margin-left: -3rem !important;
    }
.p-0 {
      padding: 0 !important;
    }
.p-1 {
      padding: 0.25rem !important;
    }
.p-2 {
      padding: 0.5rem !important;
    }
.p-3 {
      padding: 1rem !important;
    }
.p-4 {
      padding: 1.5rem !important;
    }
.p-5 {
      padding: 3rem !important;
    }
.px-0 {
      padding-right: 0 !important;
padding-left: 0 !important;
    }
.px-1 {
      padding-right: 0.25rem !important;
padding-left: 0.25rem !important;
    }
.px-2 {
      padding-right: 0.5rem !important;
padding-left: 0.5rem !important;
    }
.px-3 {
      padding-right: 1rem !important;
padding-left: 1rem !important;
    }
.px-4 {
      padding-right: 1.5rem !important;
padding-left: 1.5rem !important;
    }
.px-5 {
      padding-right: 3rem !important;
padding-left: 3rem !important;
    }
.py-0 {
      padding-top: 0 !important;
padding-bottom: 0 !important;
    }
.py-1 {
      padding-top: 0.25rem !important;
padding-bottom: 0.25rem !important;
    }
.py-2 {
      padding-top: 0.5rem !important;
padding-bottom: 0.5rem !important;
    }
.py-3 {
      padding-top: 1rem !important;
padding-bottom: 1rem !important;
    }
.py-4 {
      padding-top: 1.5rem !important;
padding-bottom: 1.5rem !important;
    }
.py-5 {
      padding-top: 3rem !important;
padding-bottom: 3rem !important;
    }
.pt-0 {
      padding-top: 0 !important;
    }
.pt-1 {
      padding-top: 0.25rem !important;
    }
.pt-2 {
      padding-top: 0.5rem !important;
    }
.pt-3 {
      padding-top: 1rem !important;
    }
.pt-4 {
      padding-top: 1.5rem !important;
    }
.pt-5 {
      padding-top: 3rem !important;
    }
.pr-0 {
      padding-right: 0 !important;
    }
.pr-1 {
      padding-right: 0.25rem !important;
    }
.pr-2 {
      padding-right: 0.5rem !important;
    }
.pr-3 {
      padding-right: 1rem !important;
    }
.pr-4 {
      padding-right: 1.5rem !important;
    }
.pr-5 {
      padding-right: 3rem !important;
    }
.pb-0 {
      padding-bottom: 0 !important;
    }
.pb-1 {
      padding-bottom: 0.25rem !important;
    }
.pb-2 {
      padding-bottom: 0.5rem !important;
    }
.pb-3 {
      padding-bottom: 1rem !important;
    }
.pb-4 {
      padding-bottom: 1.5rem !important;
    }
.pb-5 {
      padding-bottom: 3rem !important;
    }
.pl-0 {
      padding-left: 0 !important;
    }
.pl-1 {
      padding-left: 0.25rem !important;
    }
.pl-2 {
      padding-left: 0.5rem !important;
    }
.pl-3 {
      padding-left: 1rem !important;
    }
.pl-4 {
      padding-left: 1.5rem !important;
    }
.pl-5 {
      padding-left: 3rem !important;
    }
.font-weight-light {
      font-weight: 300 !important;
    }
.font-weight-lighter {
      font-weight: lighter !important;
    }
.font-weight-normal {
      font-weight: 400 !important;
    }
.font-weight-bold {
      font-weight: 700 !important;
    }
.font-weight-bolder {
      font-weight: bolder !important;
    }
.text-lowercase {
      text-transform: lowercase !important;
    }
.text-uppercase {
      text-transform: uppercase !important;
    }
.text-capitalize {
      text-transform: capitalize !important;
    }
.text-left {
      text-align: left !important;
    }
.text-right {
      text-align: right !important;
    }
.text-center {
      text-align: center !important;
    }
.text-justify {
      text-align: justify !important;
    }
.text-primary {
      color: #0275d8 !important;
    }
.text-secondary {
      color: #6c757d !important;
    }
.text-success {
      color: #5cb85c !important;
    }
.text-info {
      color: #17a2b8 !important;
    }
.text-warning {
      color: #ffd500 !important;
    }
.text-danger {
      color: #d9534f !important;
    }
.text-light {
      color: #f8f9fa !important;
    }
.text-dark {
      color: #343a40 !important;
    }
.text-white {
      color: #fff !important;
    }
.text-body {
      color: #292b2c !important;
    }
.text-muted {
      color: #636c72 !important;
    }
.text-black-50 {
      color: rgba(#000, .5) !important;
    }
.text-white-50 {
      color: rgba(#fff, .5) !important;
    }
.text-reset {
      color: inherit !important;
    }
.lh-1 {
      line-height: 1 !important;
    }
.lh-sm {
      line-height: 1.3 !important;
    }
.lh-base {
      line-height: 1.5 !important;
    }
.lh-lg {
      line-height: 1.6 !important;
    }
.bg-primary {
      background-color: #0275d8 !important;
    }
.bg-secondary {
      background-color: #6c757d !important;
    }
.bg-success {
      background-color: #5cb85c !important;
    }
.bg-info {
      background-color: #17a2b8 !important;
    }
.bg-warning {
      background-color: #ffd500 !important;
    }
.bg-danger {
      background-color: #d9534f !important;
    }
.bg-light {
      background-color: #f8f9fa !important;
    }
.bg-dark {
      background-color: #343a40 !important;
    }
.bg-body {
      background-color: #fff !important;
    }
.bg-white {
      background-color: #fff !important;
    }
.bg-transparent {
      background-color: transparent !important;
    }
.text-wrap {
      white-space: normal !important;
    }
.text-nowrap {
      white-space: nowrap !important;
    }
.text-decoration-none {
      text-decoration: none !important;
    }
.text-decoration-underline {
      text-decoration: underline !important;
    }
.text-decoration-line-through {
      text-decoration: line-through !important;
    }
.font-italic {
      font-style: italic !important;
    }
.text-break {
      overflow-wrap: break-word !important;
word-break: break-word !important;
    }
.font-monospace {
      font-family: Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace !important;
    }
.rounded {
      border-radius: .25rem !important;
    }
.rounded-sm {
      border-radius: .2rem !important;
    }
.rounded-lg {
      border-radius: .3rem !important;
    }
.rounded-circle {
      border-radius: 50% !important;
    }
.rounded-pill {
      border-radius: 50rem !important;
    }
.rounded-0 {
      border-radius: 0 !important;
    }
.rounded-top {
      border-top-left-radius: .25rem !important;
border-top-right-radius: .25rem !important;
    }
.rounded-right {
      border-top-right-radius: .25rem !important;
border-bottom-right-radius: .25rem !important;
    }
.rounded-bottom {
      border-bottom-right-radius: .25rem !important;
border-bottom-left-radius: .25rem !important;
    }
.rounded-left {
      border-bottom-left-radius: .25rem !important;
border-top-left-radius: .25rem !important;
    }
.visible {
      visibility: visible !important;
    }
.invisible {
      visibility: hidden !important;
    }

      @media (min-width: 576px) {
        .float-sm-left {
      float: left !important;
    }
.float-sm-right {
      float: right !important;
    }
.float-sm-none {
      float: none !important;
    }
.d-sm-none {
      display: none !important;
    }
.d-sm-inline {
      display: inline !important;
    }
.d-sm-inline-block {
      display: inline-block !important;
    }
.d-sm-block {
      display: block !important;
    }
.d-sm-table {
      display: table !important;
    }
.d-sm-table-row {
      display: table-row !important;
    }
.d-sm-table-cell {
      display: table-cell !important;
    }
.d-sm-flex {
      display: flex !important;
    }
.d-sm-inline-flex {
      display: inline-flex !important;
    }
.flex-sm-fill {
      flex: 1 1 auto !important;
    }
.flex-sm-row {
      flex-direction: row !important;
    }
.flex-sm-column {
      flex-direction: column !important;
    }
.flex-sm-row-reverse {
      flex-direction: row-reverse !important;
    }
.flex-sm-column-reverse {
      flex-direction: column-reverse !important;
    }
.flex-sm-grow-0 {
      flex-grow: 0 !important;
    }
.flex-sm-grow-1 {
      flex-grow: 1 !important;
    }
.flex-sm-shrink-0 {
      flex-shrink: 0 !important;
    }
.flex-sm-shrink-1 {
      flex-shrink: 1 !important;
    }
.flex-sm-wrap {
      flex-wrap: wrap !important;
    }
.flex-sm-nowrap {
      flex-wrap: nowrap !important;
    }
.flex-sm-wrap-reverse {
      flex-wrap: wrap-reverse !important;
    }
.justify-content-sm-start {
      justify-content: flex-start !important;
    }
.justify-content-sm-end {
      justify-content: flex-end !important;
    }
.justify-content-sm-center {
      justify-content: center !important;
    }
.justify-content-sm-between {
      justify-content: space-between !important;
    }
.justify-content-sm-around {
      justify-content: space-around !important;
    }
.align-items-sm-start {
      align-items: flex-start !important;
    }
.align-items-sm-end {
      align-items: flex-end !important;
    }
.align-items-sm-center {
      align-items: center !important;
    }
.align-items-sm-baseline {
      align-items: baseline !important;
    }
.align-items-sm-stretch {
      align-items: stretch !important;
    }
.align-content-sm-start {
      align-content: flex-start !important;
    }
.align-content-sm-end {
      align-content: flex-end !important;
    }
.align-content-sm-center {
      align-content: center !important;
    }
.align-content-sm-between {
      align-content: space-between !important;
    }
.align-content-sm-around {
      align-content: space-around !important;
    }
.align-content-sm-stretch {
      align-content: stretch !important;
    }
.align-self-sm-auto {
      align-self: auto !important;
    }
.align-self-sm-start {
      align-self: flex-start !important;
    }
.align-self-sm-end {
      align-self: flex-end !important;
    }
.align-self-sm-center {
      align-self: center !important;
    }
.align-self-sm-baseline {
      align-self: baseline !important;
    }
.align-self-sm-stretch {
      align-self: stretch !important;
    }
.order-sm-first {
      order: -1 !important;
    }
.order-sm-0 {
      order: 0 !important;
    }
.order-sm-1 {
      order: 1 !important;
    }
.order-sm-2 {
      order: 2 !important;
    }
.order-sm-3 {
      order: 3 !important;
    }
.order-sm-4 {
      order: 4 !important;
    }
.order-sm-5 {
      order: 5 !important;
    }
.order-sm-last {
      order: 6 !important;
    }
.m-sm-0 {
      margin: 0 !important;
    }
.m-sm-1 {
      margin: 0.25rem !important;
    }
.m-sm-2 {
      margin: 0.5rem !important;
    }
.m-sm-3 {
      margin: 1rem !important;
    }
.m-sm-4 {
      margin: 1.5rem !important;
    }
.m-sm-5 {
      margin: 3rem !important;
    }
.m-sm-auto {
      margin: auto !important;
    }
.mx-sm-0 {
      margin-right: 0 !important;
margin-left: 0 !important;
    }
.mx-sm-1 {
      margin-right: 0.25rem !important;
margin-left: 0.25rem !important;
    }
.mx-sm-2 {
      margin-right: 0.5rem !important;
margin-left: 0.5rem !important;
    }
.mx-sm-3 {
      margin-right: 1rem !important;
margin-left: 1rem !important;
    }
.mx-sm-4 {
      margin-right: 1.5rem !important;
margin-left: 1.5rem !important;
    }
.mx-sm-5 {
      margin-right: 3rem !important;
margin-left: 3rem !important;
    }
.mx-sm-auto {
      margin-right: auto !important;
margin-left: auto !important;
    }
.my-sm-0 {
      margin-top: 0 !important;
margin-bottom: 0 !important;
    }
.my-sm-1 {
      margin-top: 0.25rem !important;
margin-bottom: 0.25rem !important;
    }
.my-sm-2 {
      margin-top: 0.5rem !important;
margin-bottom: 0.5rem !important;
    }
.my-sm-3 {
      margin-top: 1rem !important;
margin-bottom: 1rem !important;
    }
.my-sm-4 {
      margin-top: 1.5rem !important;
margin-bottom: 1.5rem !important;
    }
.my-sm-5 {
      margin-top: 3rem !important;
margin-bottom: 3rem !important;
    }
.my-sm-auto {
      margin-top: auto !important;
margin-bottom: auto !important;
    }
.mt-sm-0 {
      margin-top: 0 !important;
    }
.mt-sm-1 {
      margin-top: 0.25rem !important;
    }
.mt-sm-2 {
      margin-top: 0.5rem !important;
    }
.mt-sm-3 {
      margin-top: 1rem !important;
    }
.mt-sm-4 {
      margin-top: 1.5rem !important;
    }
.mt-sm-5 {
      margin-top: 3rem !important;
    }
.mt-sm-auto {
      margin-top: auto !important;
    }
.mr-sm-0 {
      margin-right: 0 !important;
    }
.mr-sm-1 {
      margin-right: 0.25rem !important;
    }
.mr-sm-2 {
      margin-right: 0.5rem !important;
    }
.mr-sm-3 {
      margin-right: 1rem !important;
    }
.mr-sm-4 {
      margin-right: 1.5rem !important;
    }
.mr-sm-5 {
      margin-right: 3rem !important;
    }
.mr-sm-auto {
      margin-right: auto !important;
    }
.mb-sm-0 {
      margin-bottom: 0 !important;
    }
.mb-sm-1 {
      margin-bottom: 0.25rem !important;
    }
.mb-sm-2 {
      margin-bottom: 0.5rem !important;
    }
.mb-sm-3 {
      margin-bottom: 1rem !important;
    }
.mb-sm-4 {
      margin-bottom: 1.5rem !important;
    }
.mb-sm-5 {
      margin-bottom: 3rem !important;
    }
.mb-sm-auto {
      margin-bottom: auto !important;
    }
.ml-sm-0 {
      margin-left: 0 !important;
    }
.ml-sm-1 {
      margin-left: 0.25rem !important;
    }
.ml-sm-2 {
      margin-left: 0.5rem !important;
    }
.ml-sm-3 {
      margin-left: 1rem !important;
    }
.ml-sm-4 {
      margin-left: 1.5rem !important;
    }
.ml-sm-5 {
      margin-left: 3rem !important;
    }
.ml-sm-auto {
      margin-left: auto !important;
    }
.m-sm-n1 {
      margin: -0.25rem !important;
    }
.m-sm-n2 {
      margin: -0.5rem !important;
    }
.m-sm-n3 {
      margin: -1rem !important;
    }
.m-sm-n4 {
      margin: -1.5rem !important;
    }
.m-sm-n5 {
      margin: -3rem !important;
    }
.mx-sm-n1 {
      margin-right: -0.25rem !important;
margin-left: -0.25rem !important;
    }
.mx-sm-n2 {
      margin-right: -0.5rem !important;
margin-left: -0.5rem !important;
    }
.mx-sm-n3 {
      margin-right: -1rem !important;
margin-left: -1rem !important;
    }
.mx-sm-n4 {
      margin-right: -1.5rem !important;
margin-left: -1.5rem !important;
    }
.mx-sm-n5 {
      margin-right: -3rem !important;
margin-left: -3rem !important;
    }
.my-sm-n1 {
      margin-top: -0.25rem !important;
margin-bottom: -0.25rem !important;
    }
.my-sm-n2 {
      margin-top: -0.5rem !important;
margin-bottom: -0.5rem !important;
    }
.my-sm-n3 {
      margin-top: -1rem !important;
margin-bottom: -1rem !important;
    }
.my-sm-n4 {
      margin-top: -1.5rem !important;
margin-bottom: -1.5rem !important;
    }
.my-sm-n5 {
      margin-top: -3rem !important;
margin-bottom: -3rem !important;
    }
.mt-sm-n1 {
      margin-top: -0.25rem !important;
    }
.mt-sm-n2 {
      margin-top: -0.5rem !important;
    }
.mt-sm-n3 {
      margin-top: -1rem !important;
    }
.mt-sm-n4 {
      margin-top: -1.5rem !important;
    }
.mt-sm-n5 {
      margin-top: -3rem !important;
    }
.mr-sm-n1 {
      margin-right: -0.25rem !important;
    }
.mr-sm-n2 {
      margin-right: -0.5rem !important;
    }
.mr-sm-n3 {
      margin-right: -1rem !important;
    }
.mr-sm-n4 {
      margin-right: -1.5rem !important;
    }
.mr-sm-n5 {
      margin-right: -3rem !important;
    }
.mb-sm-n1 {
      margin-bottom: -0.25rem !important;
    }
.mb-sm-n2 {
      margin-bottom: -0.5rem !important;
    }
.mb-sm-n3 {
      margin-bottom: -1rem !important;
    }
.mb-sm-n4 {
      margin-bottom: -1.5rem !important;
    }
.mb-sm-n5 {
      margin-bottom: -3rem !important;
    }
.ml-sm-n1 {
      margin-left: -0.25rem !important;
    }
.ml-sm-n2 {
      margin-left: -0.5rem !important;
    }
.ml-sm-n3 {
      margin-left: -1rem !important;
    }
.ml-sm-n4 {
      margin-left: -1.5rem !important;
    }
.ml-sm-n5 {
      margin-left: -3rem !important;
    }
.p-sm-0 {
      padding: 0 !important;
    }
.p-sm-1 {
      padding: 0.25rem !important;
    }
.p-sm-2 {
      padding: 0.5rem !important;
    }
.p-sm-3 {
      padding: 1rem !important;
    }
.p-sm-4 {
      padding: 1.5rem !important;
    }
.p-sm-5 {
      padding: 3rem !important;
    }
.px-sm-0 {
      padding-right: 0 !important;
padding-left: 0 !important;
    }
.px-sm-1 {
      padding-right: 0.25rem !important;
padding-left: 0.25rem !important;
    }
.px-sm-2 {
      padding-right: 0.5rem !important;
padding-left: 0.5rem !important;
    }
.px-sm-3 {
      padding-right: 1rem !important;
padding-left: 1rem !important;
    }
.px-sm-4 {
      padding-right: 1.5rem !important;
padding-left: 1.5rem !important;
    }
.px-sm-5 {
      padding-right: 3rem !important;
padding-left: 3rem !important;
    }
.py-sm-0 {
      padding-top: 0 !important;
padding-bottom: 0 !important;
    }
.py-sm-1 {
      padding-top: 0.25rem !important;
padding-bottom: 0.25rem !important;
    }
.py-sm-2 {
      padding-top: 0.5rem !important;
padding-bottom: 0.5rem !important;
    }
.py-sm-3 {
      padding-top: 1rem !important;
padding-bottom: 1rem !important;
    }
.py-sm-4 {
      padding-top: 1.5rem !important;
padding-bottom: 1.5rem !important;
    }
.py-sm-5 {
      padding-top: 3rem !important;
padding-bottom: 3rem !important;
    }
.pt-sm-0 {
      padding-top: 0 !important;
    }
.pt-sm-1 {
      padding-top: 0.25rem !important;
    }
.pt-sm-2 {
      padding-top: 0.5rem !important;
    }
.pt-sm-3 {
      padding-top: 1rem !important;
    }
.pt-sm-4 {
      padding-top: 1.5rem !important;
    }
.pt-sm-5 {
      padding-top: 3rem !important;
    }
.pr-sm-0 {
      padding-right: 0 !important;
    }
.pr-sm-1 {
      padding-right: 0.25rem !important;
    }
.pr-sm-2 {
      padding-right: 0.5rem !important;
    }
.pr-sm-3 {
      padding-right: 1rem !important;
    }
.pr-sm-4 {
      padding-right: 1.5rem !important;
    }
.pr-sm-5 {
      padding-right: 3rem !important;
    }
.pb-sm-0 {
      padding-bottom: 0 !important;
    }
.pb-sm-1 {
      padding-bottom: 0.25rem !important;
    }
.pb-sm-2 {
      padding-bottom: 0.5rem !important;
    }
.pb-sm-3 {
      padding-bottom: 1rem !important;
    }
.pb-sm-4 {
      padding-bottom: 1.5rem !important;
    }
.pb-sm-5 {
      padding-bottom: 3rem !important;
    }
.pl-sm-0 {
      padding-left: 0 !important;
    }
.pl-sm-1 {
      padding-left: 0.25rem !important;
    }
.pl-sm-2 {
      padding-left: 0.5rem !important;
    }
.pl-sm-3 {
      padding-left: 1rem !important;
    }
.pl-sm-4 {
      padding-left: 1.5rem !important;
    }
.pl-sm-5 {
      padding-left: 3rem !important;
    }
.text-sm-left {
      text-align: left !important;
    }
.text-sm-right {
      text-align: right !important;
    }
.text-sm-center {
      text-align: center !important;
    }
.text-sm-justify {
      text-align: justify !important;
    }
      }
    

      @media (min-width: 768px) {
        .float-md-left {
      float: left !important;
    }
.float-md-right {
      float: right !important;
    }
.float-md-none {
      float: none !important;
    }
.d-md-none {
      display: none !important;
    }
.d-md-inline {
      display: inline !important;
    }
.d-md-inline-block {
      display: inline-block !important;
    }
.d-md-block {
      display: block !important;
    }
.d-md-table {
      display: table !important;
    }
.d-md-table-row {
      display: table-row !important;
    }
.d-md-table-cell {
      display: table-cell !important;
    }
.d-md-flex {
      display: flex !important;
    }
.d-md-inline-flex {
      display: inline-flex !important;
    }
.flex-md-fill {
      flex: 1 1 auto !important;
    }
.flex-md-row {
      flex-direction: row !important;
    }
.flex-md-column {
      flex-direction: column !important;
    }
.flex-md-row-reverse {
      flex-direction: row-reverse !important;
    }
.flex-md-column-reverse {
      flex-direction: column-reverse !important;
    }
.flex-md-grow-0 {
      flex-grow: 0 !important;
    }
.flex-md-grow-1 {
      flex-grow: 1 !important;
    }
.flex-md-shrink-0 {
      flex-shrink: 0 !important;
    }
.flex-md-shrink-1 {
      flex-shrink: 1 !important;
    }
.flex-md-wrap {
      flex-wrap: wrap !important;
    }
.flex-md-nowrap {
      flex-wrap: nowrap !important;
    }
.flex-md-wrap-reverse {
      flex-wrap: wrap-reverse !important;
    }
.justify-content-md-start {
      justify-content: flex-start !important;
    }
.justify-content-md-end {
      justify-content: flex-end !important;
    }
.justify-content-md-center {
      justify-content: center !important;
    }
.justify-content-md-between {
      justify-content: space-between !important;
    }
.justify-content-md-around {
      justify-content: space-around !important;
    }
.align-items-md-start {
      align-items: flex-start !important;
    }
.align-items-md-end {
      align-items: flex-end !important;
    }
.align-items-md-center {
      align-items: center !important;
    }
.align-items-md-baseline {
      align-items: baseline !important;
    }
.align-items-md-stretch {
      align-items: stretch !important;
    }
.align-content-md-start {
      align-content: flex-start !important;
    }
.align-content-md-end {
      align-content: flex-end !important;
    }
.align-content-md-center {
      align-content: center !important;
    }
.align-content-md-between {
      align-content: space-between !important;
    }
.align-content-md-around {
      align-content: space-around !important;
    }
.align-content-md-stretch {
      align-content: stretch !important;
    }
.align-self-md-auto {
      align-self: auto !important;
    }
.align-self-md-start {
      align-self: flex-start !important;
    }
.align-self-md-end {
      align-self: flex-end !important;
    }
.align-self-md-center {
      align-self: center !important;
    }
.align-self-md-baseline {
      align-self: baseline !important;
    }
.align-self-md-stretch {
      align-self: stretch !important;
    }
.order-md-first {
      order: -1 !important;
    }
.order-md-0 {
      order: 0 !important;
    }
.order-md-1 {
      order: 1 !important;
    }
.order-md-2 {
      order: 2 !important;
    }
.order-md-3 {
      order: 3 !important;
    }
.order-md-4 {
      order: 4 !important;
    }
.order-md-5 {
      order: 5 !important;
    }
.order-md-last {
      order: 6 !important;
    }
.m-md-0 {
      margin: 0 !important;
    }
.m-md-1 {
      margin: 0.25rem !important;
    }
.m-md-2 {
      margin: 0.5rem !important;
    }
.m-md-3 {
      margin: 1rem !important;
    }
.m-md-4 {
      margin: 1.5rem !important;
    }
.m-md-5 {
      margin: 3rem !important;
    }
.m-md-auto {
      margin: auto !important;
    }
.mx-md-0 {
      margin-right: 0 !important;
margin-left: 0 !important;
    }
.mx-md-1 {
      margin-right: 0.25rem !important;
margin-left: 0.25rem !important;
    }
.mx-md-2 {
      margin-right: 0.5rem !important;
margin-left: 0.5rem !important;
    }
.mx-md-3 {
      margin-right: 1rem !important;
margin-left: 1rem !important;
    }
.mx-md-4 {
      margin-right: 1.5rem !important;
margin-left: 1.5rem !important;
    }
.mx-md-5 {
      margin-right: 3rem !important;
margin-left: 3rem !important;
    }
.mx-md-auto {
      margin-right: auto !important;
margin-left: auto !important;
    }
.my-md-0 {
      margin-top: 0 !important;
margin-bottom: 0 !important;
    }
.my-md-1 {
      margin-top: 0.25rem !important;
margin-bottom: 0.25rem !important;
    }
.my-md-2 {
      margin-top: 0.5rem !important;
margin-bottom: 0.5rem !important;
    }
.my-md-3 {
      margin-top: 1rem !important;
margin-bottom: 1rem !important;
    }
.my-md-4 {
      margin-top: 1.5rem !important;
margin-bottom: 1.5rem !important;
    }
.my-md-5 {
      margin-top: 3rem !important;
margin-bottom: 3rem !important;
    }
.my-md-auto {
      margin-top: auto !important;
margin-bottom: auto !important;
    }
.mt-md-0 {
      margin-top: 0 !important;
    }
.mt-md-1 {
      margin-top: 0.25rem !important;
    }
.mt-md-2 {
      margin-top: 0.5rem !important;
    }
.mt-md-3 {
      margin-top: 1rem !important;
    }
.mt-md-4 {
      margin-top: 1.5rem !important;
    }
.mt-md-5 {
      margin-top: 3rem !important;
    }
.mt-md-auto {
      margin-top: auto !important;
    }
.mr-md-0 {
      margin-right: 0 !important;
    }
.mr-md-1 {
      margin-right: 0.25rem !important;
    }
.mr-md-2 {
      margin-right: 0.5rem !important;
    }
.mr-md-3 {
      margin-right: 1rem !important;
    }
.mr-md-4 {
      margin-right: 1.5rem !important;
    }
.mr-md-5 {
      margin-right: 3rem !important;
    }
.mr-md-auto {
      margin-right: auto !important;
    }
.mb-md-0 {
      margin-bottom: 0 !important;
    }
.mb-md-1 {
      margin-bottom: 0.25rem !important;
    }
.mb-md-2 {
      margin-bottom: 0.5rem !important;
    }
.mb-md-3 {
      margin-bottom: 1rem !important;
    }
.mb-md-4 {
      margin-bottom: 1.5rem !important;
    }
.mb-md-5 {
      margin-bottom: 3rem !important;
    }
.mb-md-auto {
      margin-bottom: auto !important;
    }
.ml-md-0 {
      margin-left: 0 !important;
    }
.ml-md-1 {
      margin-left: 0.25rem !important;
    }
.ml-md-2 {
      margin-left: 0.5rem !important;
    }
.ml-md-3 {
      margin-left: 1rem !important;
    }
.ml-md-4 {
      margin-left: 1.5rem !important;
    }
.ml-md-5 {
      margin-left: 3rem !important;
    }
.ml-md-auto {
      margin-left: auto !important;
    }
.m-md-n1 {
      margin: -0.25rem !important;
    }
.m-md-n2 {
      margin: -0.5rem !important;
    }
.m-md-n3 {
      margin: -1rem !important;
    }
.m-md-n4 {
      margin: -1.5rem !important;
    }
.m-md-n5 {
      margin: -3rem !important;
    }
.mx-md-n1 {
      margin-right: -0.25rem !important;
margin-left: -0.25rem !important;
    }
.mx-md-n2 {
      margin-right: -0.5rem !important;
margin-left: -0.5rem !important;
    }
.mx-md-n3 {
      margin-right: -1rem !important;
margin-left: -1rem !important;
    }
.mx-md-n4 {
      margin-right: -1.5rem !important;
margin-left: -1.5rem !important;
    }
.mx-md-n5 {
      margin-right: -3rem !important;
margin-left: -3rem !important;
    }
.my-md-n1 {
      margin-top: -0.25rem !important;
margin-bottom: -0.25rem !important;
    }
.my-md-n2 {
      margin-top: -0.5rem !important;
margin-bottom: -0.5rem !important;
    }
.my-md-n3 {
      margin-top: -1rem !important;
margin-bottom: -1rem !important;
    }
.my-md-n4 {
      margin-top: -1.5rem !important;
margin-bottom: -1.5rem !important;
    }
.my-md-n5 {
      margin-top: -3rem !important;
margin-bottom: -3rem !important;
    }
.mt-md-n1 {
      margin-top: -0.25rem !important;
    }
.mt-md-n2 {
      margin-top: -0.5rem !important;
    }
.mt-md-n3 {
      margin-top: -1rem !important;
    }
.mt-md-n4 {
      margin-top: -1.5rem !important;
    }
.mt-md-n5 {
      margin-top: -3rem !important;
    }
.mr-md-n1 {
      margin-right: -0.25rem !important;
    }
.mr-md-n2 {
      margin-right: -0.5rem !important;
    }
.mr-md-n3 {
      margin-right: -1rem !important;
    }
.mr-md-n4 {
      margin-right: -1.5rem !important;
    }
.mr-md-n5 {
      margin-right: -3rem !important;
    }
.mb-md-n1 {
      margin-bottom: -0.25rem !important;
    }
.mb-md-n2 {
      margin-bottom: -0.5rem !important;
    }
.mb-md-n3 {
      margin-bottom: -1rem !important;
    }
.mb-md-n4 {
      margin-bottom: -1.5rem !important;
    }
.mb-md-n5 {
      margin-bottom: -3rem !important;
    }
.ml-md-n1 {
      margin-left: -0.25rem !important;
    }
.ml-md-n2 {
      margin-left: -0.5rem !important;
    }
.ml-md-n3 {
      margin-left: -1rem !important;
    }
.ml-md-n4 {
      margin-left: -1.5rem !important;
    }
.ml-md-n5 {
      margin-left: -3rem !important;
    }
.p-md-0 {
      padding: 0 !important;
    }
.p-md-1 {
      padding: 0.25rem !important;
    }
.p-md-2 {
      padding: 0.5rem !important;
    }
.p-md-3 {
      padding: 1rem !important;
    }
.p-md-4 {
      padding: 1.5rem !important;
    }
.p-md-5 {
      padding: 3rem !important;
    }
.px-md-0 {
      padding-right: 0 !important;
padding-left: 0 !important;
    }
.px-md-1 {
      padding-right: 0.25rem !important;
padding-left: 0.25rem !important;
    }
.px-md-2 {
      padding-right: 0.5rem !important;
padding-left: 0.5rem !important;
    }
.px-md-3 {
      padding-right: 1rem !important;
padding-left: 1rem !important;
    }
.px-md-4 {
      padding-right: 1.5rem !important;
padding-left: 1.5rem !important;
    }
.px-md-5 {
      padding-right: 3rem !important;
padding-left: 3rem !important;
    }
.py-md-0 {
      padding-top: 0 !important;
padding-bottom: 0 !important;
    }
.py-md-1 {
      padding-top: 0.25rem !important;
padding-bottom: 0.25rem !important;
    }
.py-md-2 {
      padding-top: 0.5rem !important;
padding-bottom: 0.5rem !important;
    }
.py-md-3 {
      padding-top: 1rem !important;
padding-bottom: 1rem !important;
    }
.py-md-4 {
      padding-top: 1.5rem !important;
padding-bottom: 1.5rem !important;
    }
.py-md-5 {
      padding-top: 3rem !important;
padding-bottom: 3rem !important;
    }
.pt-md-0 {
      padding-top: 0 !important;
    }
.pt-md-1 {
      padding-top: 0.25rem !important;
    }
.pt-md-2 {
      padding-top: 0.5rem !important;
    }
.pt-md-3 {
      padding-top: 1rem !important;
    }
.pt-md-4 {
      padding-top: 1.5rem !important;
    }
.pt-md-5 {
      padding-top: 3rem !important;
    }
.pr-md-0 {
      padding-right: 0 !important;
    }
.pr-md-1 {
      padding-right: 0.25rem !important;
    }
.pr-md-2 {
      padding-right: 0.5rem !important;
    }
.pr-md-3 {
      padding-right: 1rem !important;
    }
.pr-md-4 {
      padding-right: 1.5rem !important;
    }
.pr-md-5 {
      padding-right: 3rem !important;
    }
.pb-md-0 {
      padding-bottom: 0 !important;
    }
.pb-md-1 {
      padding-bottom: 0.25rem !important;
    }
.pb-md-2 {
      padding-bottom: 0.5rem !important;
    }
.pb-md-3 {
      padding-bottom: 1rem !important;
    }
.pb-md-4 {
      padding-bottom: 1.5rem !important;
    }
.pb-md-5 {
      padding-bottom: 3rem !important;
    }
.pl-md-0 {
      padding-left: 0 !important;
    }
.pl-md-1 {
      padding-left: 0.25rem !important;
    }
.pl-md-2 {
      padding-left: 0.5rem !important;
    }
.pl-md-3 {
      padding-left: 1rem !important;
    }
.pl-md-4 {
      padding-left: 1.5rem !important;
    }
.pl-md-5 {
      padding-left: 3rem !important;
    }
.text-md-left {
      text-align: left !important;
    }
.text-md-right {
      text-align: right !important;
    }
.text-md-center {
      text-align: center !important;
    }
.text-md-justify {
      text-align: justify !important;
    }
      }
    

      @media (min-width: 992px) {
        .float-lg-left {
      float: left !important;
    }
.float-lg-right {
      float: right !important;
    }
.float-lg-none {
      float: none !important;
    }
.d-lg-none {
      display: none !important;
    }
.d-lg-inline {
      display: inline !important;
    }
.d-lg-inline-block {
      display: inline-block !important;
    }
.d-lg-block {
      display: block !important;
    }
.d-lg-table {
      display: table !important;
    }
.d-lg-table-row {
      display: table-row !important;
    }
.d-lg-table-cell {
      display: table-cell !important;
    }
.d-lg-flex {
      display: flex !important;
    }
.d-lg-inline-flex {
      display: inline-flex !important;
    }
.flex-lg-fill {
      flex: 1 1 auto !important;
    }
.flex-lg-row {
      flex-direction: row !important;
    }
.flex-lg-column {
      flex-direction: column !important;
    }
.flex-lg-row-reverse {
      flex-direction: row-reverse !important;
    }
.flex-lg-column-reverse {
      flex-direction: column-reverse !important;
    }
.flex-lg-grow-0 {
      flex-grow: 0 !important;
    }
.flex-lg-grow-1 {
      flex-grow: 1 !important;
    }
.flex-lg-shrink-0 {
      flex-shrink: 0 !important;
    }
.flex-lg-shrink-1 {
      flex-shrink: 1 !important;
    }
.flex-lg-wrap {
      flex-wrap: wrap !important;
    }
.flex-lg-nowrap {
      flex-wrap: nowrap !important;
    }
.flex-lg-wrap-reverse {
      flex-wrap: wrap-reverse !important;
    }
.justify-content-lg-start {
      justify-content: flex-start !important;
    }
.justify-content-lg-end {
      justify-content: flex-end !important;
    }
.justify-content-lg-center {
      justify-content: center !important;
    }
.justify-content-lg-between {
      justify-content: space-between !important;
    }
.justify-content-lg-around {
      justify-content: space-around !important;
    }
.align-items-lg-start {
      align-items: flex-start !important;
    }
.align-items-lg-end {
      align-items: flex-end !important;
    }
.align-items-lg-center {
      align-items: center !important;
    }
.align-items-lg-baseline {
      align-items: baseline !important;
    }
.align-items-lg-stretch {
      align-items: stretch !important;
    }
.align-content-lg-start {
      align-content: flex-start !important;
    }
.align-content-lg-end {
      align-content: flex-end !important;
    }
.align-content-lg-center {
      align-content: center !important;
    }
.align-content-lg-between {
      align-content: space-between !important;
    }
.align-content-lg-around {
      align-content: space-around !important;
    }
.align-content-lg-stretch {
      align-content: stretch !important;
    }
.align-self-lg-auto {
      align-self: auto !important;
    }
.align-self-lg-start {
      align-self: flex-start !important;
    }
.align-self-lg-end {
      align-self: flex-end !important;
    }
.align-self-lg-center {
      align-self: center !important;
    }
.align-self-lg-baseline {
      align-self: baseline !important;
    }
.align-self-lg-stretch {
      align-self: stretch !important;
    }
.order-lg-first {
      order: -1 !important;
    }
.order-lg-0 {
      order: 0 !important;
    }
.order-lg-1 {
      order: 1 !important;
    }
.order-lg-2 {
      order: 2 !important;
    }
.order-lg-3 {
      order: 3 !important;
    }
.order-lg-4 {
      order: 4 !important;
    }
.order-lg-5 {
      order: 5 !important;
    }
.order-lg-last {
      order: 6 !important;
    }
.m-lg-0 {
      margin: 0 !important;
    }
.m-lg-1 {
      margin: 0.25rem !important;
    }
.m-lg-2 {
      margin: 0.5rem !important;
    }
.m-lg-3 {
      margin: 1rem !important;
    }
.m-lg-4 {
      margin: 1.5rem !important;
    }
.m-lg-5 {
      margin: 3rem !important;
    }
.m-lg-auto {
      margin: auto !important;
    }
.mx-lg-0 {
      margin-right: 0 !important;
margin-left: 0 !important;
    }
.mx-lg-1 {
      margin-right: 0.25rem !important;
margin-left: 0.25rem !important;
    }
.mx-lg-2 {
      margin-right: 0.5rem !important;
margin-left: 0.5rem !important;
    }
.mx-lg-3 {
      margin-right: 1rem !important;
margin-left: 1rem !important;
    }
.mx-lg-4 {
      margin-right: 1.5rem !important;
margin-left: 1.5rem !important;
    }
.mx-lg-5 {
      margin-right: 3rem !important;
margin-left: 3rem !important;
    }
.mx-lg-auto {
      margin-right: auto !important;
margin-left: auto !important;
    }
.my-lg-0 {
      margin-top: 0 !important;
margin-bottom: 0 !important;
    }
.my-lg-1 {
      margin-top: 0.25rem !important;
margin-bottom: 0.25rem !important;
    }
.my-lg-2 {
      margin-top: 0.5rem !important;
margin-bottom: 0.5rem !important;
    }
.my-lg-3 {
      margin-top: 1rem !important;
margin-bottom: 1rem !important;
    }
.my-lg-4 {
      margin-top: 1.5rem !important;
margin-bottom: 1.5rem !important;
    }
.my-lg-5 {
      margin-top: 3rem !important;
margin-bottom: 3rem !important;
    }
.my-lg-auto {
      margin-top: auto !important;
margin-bottom: auto !important;
    }
.mt-lg-0 {
      margin-top: 0 !important;
    }
.mt-lg-1 {
      margin-top: 0.25rem !important;
    }
.mt-lg-2 {
      margin-top: 0.5rem !important;
    }
.mt-lg-3 {
      margin-top: 1rem !important;
    }
.mt-lg-4 {
      margin-top: 1.5rem !important;
    }
.mt-lg-5 {
      margin-top: 3rem !important;
    }
.mt-lg-auto {
      margin-top: auto !important;
    }
.mr-lg-0 {
      margin-right: 0 !important;
    }
.mr-lg-1 {
      margin-right: 0.25rem !important;
    }
.mr-lg-2 {
      margin-right: 0.5rem !important;
    }
.mr-lg-3 {
      margin-right: 1rem !important;
    }
.mr-lg-4 {
      margin-right: 1.5rem !important;
    }
.mr-lg-5 {
      margin-right: 3rem !important;
    }
.mr-lg-auto {
      margin-right: auto !important;
    }
.mb-lg-0 {
      margin-bottom: 0 !important;
    }
.mb-lg-1 {
      margin-bottom: 0.25rem !important;
    }
.mb-lg-2 {
      margin-bottom: 0.5rem !important;
    }
.mb-lg-3 {
      margin-bottom: 1rem !important;
    }
.mb-lg-4 {
      margin-bottom: 1.5rem !important;
    }
.mb-lg-5 {
      margin-bottom: 3rem !important;
    }
.mb-lg-auto {
      margin-bottom: auto !important;
    }
.ml-lg-0 {
      margin-left: 0 !important;
    }
.ml-lg-1 {
      margin-left: 0.25rem !important;
    }
.ml-lg-2 {
      margin-left: 0.5rem !important;
    }
.ml-lg-3 {
      margin-left: 1rem !important;
    }
.ml-lg-4 {
      margin-left: 1.5rem !important;
    }
.ml-lg-5 {
      margin-left: 3rem !important;
    }
.ml-lg-auto {
      margin-left: auto !important;
    }
.m-lg-n1 {
      margin: -0.25rem !important;
    }
.m-lg-n2 {
      margin: -0.5rem !important;
    }
.m-lg-n3 {
      margin: -1rem !important;
    }
.m-lg-n4 {
      margin: -1.5rem !important;
    }
.m-lg-n5 {
      margin: -3rem !important;
    }
.mx-lg-n1 {
      margin-right: -0.25rem !important;
margin-left: -0.25rem !important;
    }
.mx-lg-n2 {
      margin-right: -0.5rem !important;
margin-left: -0.5rem !important;
    }
.mx-lg-n3 {
      margin-right: -1rem !important;
margin-left: -1rem !important;
    }
.mx-lg-n4 {
      margin-right: -1.5rem !important;
margin-left: -1.5rem !important;
    }
.mx-lg-n5 {
      margin-right: -3rem !important;
margin-left: -3rem !important;
    }
.my-lg-n1 {
      margin-top: -0.25rem !important;
margin-bottom: -0.25rem !important;
    }
.my-lg-n2 {
      margin-top: -0.5rem !important;
margin-bottom: -0.5rem !important;
    }
.my-lg-n3 {
      margin-top: -1rem !important;
margin-bottom: -1rem !important;
    }
.my-lg-n4 {
      margin-top: -1.5rem !important;
margin-bottom: -1.5rem !important;
    }
.my-lg-n5 {
      margin-top: -3rem !important;
margin-bottom: -3rem !important;
    }
.mt-lg-n1 {
      margin-top: -0.25rem !important;
    }
.mt-lg-n2 {
      margin-top: -0.5rem !important;
    }
.mt-lg-n3 {
      margin-top: -1rem !important;
    }
.mt-lg-n4 {
      margin-top: -1.5rem !important;
    }
.mt-lg-n5 {
      margin-top: -3rem !important;
    }
.mr-lg-n1 {
      margin-right: -0.25rem !important;
    }
.mr-lg-n2 {
      margin-right: -0.5rem !important;
    }
.mr-lg-n3 {
      margin-right: -1rem !important;
    }
.mr-lg-n4 {
      margin-right: -1.5rem !important;
    }
.mr-lg-n5 {
      margin-right: -3rem !important;
    }
.mb-lg-n1 {
      margin-bottom: -0.25rem !important;
    }
.mb-lg-n2 {
      margin-bottom: -0.5rem !important;
    }
.mb-lg-n3 {
      margin-bottom: -1rem !important;
    }
.mb-lg-n4 {
      margin-bottom: -1.5rem !important;
    }
.mb-lg-n5 {
      margin-bottom: -3rem !important;
    }
.ml-lg-n1 {
      margin-left: -0.25rem !important;
    }
.ml-lg-n2 {
      margin-left: -0.5rem !important;
    }
.ml-lg-n3 {
      margin-left: -1rem !important;
    }
.ml-lg-n4 {
      margin-left: -1.5rem !important;
    }
.ml-lg-n5 {
      margin-left: -3rem !important;
    }
.p-lg-0 {
      padding: 0 !important;
    }
.p-lg-1 {
      padding: 0.25rem !important;
    }
.p-lg-2 {
      padding: 0.5rem !important;
    }
.p-lg-3 {
      padding: 1rem !important;
    }
.p-lg-4 {
      padding: 1.5rem !important;
    }
.p-lg-5 {
      padding: 3rem !important;
    }
.px-lg-0 {
      padding-right: 0 !important;
padding-left: 0 !important;
    }
.px-lg-1 {
      padding-right: 0.25rem !important;
padding-left: 0.25rem !important;
    }
.px-lg-2 {
      padding-right: 0.5rem !important;
padding-left: 0.5rem !important;
    }
.px-lg-3 {
      padding-right: 1rem !important;
padding-left: 1rem !important;
    }
.px-lg-4 {
      padding-right: 1.5rem !important;
padding-left: 1.5rem !important;
    }
.px-lg-5 {
      padding-right: 3rem !important;
padding-left: 3rem !important;
    }
.py-lg-0 {
      padding-top: 0 !important;
padding-bottom: 0 !important;
    }
.py-lg-1 {
      padding-top: 0.25rem !important;
padding-bottom: 0.25rem !important;
    }
.py-lg-2 {
      padding-top: 0.5rem !important;
padding-bottom: 0.5rem !important;
    }
.py-lg-3 {
      padding-top: 1rem !important;
padding-bottom: 1rem !important;
    }
.py-lg-4 {
      padding-top: 1.5rem !important;
padding-bottom: 1.5rem !important;
    }
.py-lg-5 {
      padding-top: 3rem !important;
padding-bottom: 3rem !important;
    }
.pt-lg-0 {
      padding-top: 0 !important;
    }
.pt-lg-1 {
      padding-top: 0.25rem !important;
    }
.pt-lg-2 {
      padding-top: 0.5rem !important;
    }
.pt-lg-3 {
      padding-top: 1rem !important;
    }
.pt-lg-4 {
      padding-top: 1.5rem !important;
    }
.pt-lg-5 {
      padding-top: 3rem !important;
    }
.pr-lg-0 {
      padding-right: 0 !important;
    }
.pr-lg-1 {
      padding-right: 0.25rem !important;
    }
.pr-lg-2 {
      padding-right: 0.5rem !important;
    }
.pr-lg-3 {
      padding-right: 1rem !important;
    }
.pr-lg-4 {
      padding-right: 1.5rem !important;
    }
.pr-lg-5 {
      padding-right: 3rem !important;
    }
.pb-lg-0 {
      padding-bottom: 0 !important;
    }
.pb-lg-1 {
      padding-bottom: 0.25rem !important;
    }
.pb-lg-2 {
      padding-bottom: 0.5rem !important;
    }
.pb-lg-3 {
      padding-bottom: 1rem !important;
    }
.pb-lg-4 {
      padding-bottom: 1.5rem !important;
    }
.pb-lg-5 {
      padding-bottom: 3rem !important;
    }
.pl-lg-0 {
      padding-left: 0 !important;
    }
.pl-lg-1 {
      padding-left: 0.25rem !important;
    }
.pl-lg-2 {
      padding-left: 0.5rem !important;
    }
.pl-lg-3 {
      padding-left: 1rem !important;
    }
.pl-lg-4 {
      padding-left: 1.5rem !important;
    }
.pl-lg-5 {
      padding-left: 3rem !important;
    }
.text-lg-left {
      text-align: left !important;
    }
.text-lg-right {
      text-align: right !important;
    }
.text-lg-center {
      text-align: center !important;
    }
.text-lg-justify {
      text-align: justify !important;
    }
      }
    

      @media (min-width: 1200px) {
        .float-xl-left {
      float: left !important;
    }
.float-xl-right {
      float: right !important;
    }
.float-xl-none {
      float: none !important;
    }
.d-xl-none {
      display: none !important;
    }
.d-xl-inline {
      display: inline !important;
    }
.d-xl-inline-block {
      display: inline-block !important;
    }
.d-xl-block {
      display: block !important;
    }
.d-xl-table {
      display: table !important;
    }
.d-xl-table-row {
      display: table-row !important;
    }
.d-xl-table-cell {
      display: table-cell !important;
    }
.d-xl-flex {
      display: flex !important;
    }
.d-xl-inline-flex {
      display: inline-flex !important;
    }
.flex-xl-fill {
      flex: 1 1 auto !important;
    }
.flex-xl-row {
      flex-direction: row !important;
    }
.flex-xl-column {
      flex-direction: column !important;
    }
.flex-xl-row-reverse {
      flex-direction: row-reverse !important;
    }
.flex-xl-column-reverse {
      flex-direction: column-reverse !important;
    }
.flex-xl-grow-0 {
      flex-grow: 0 !important;
    }
.flex-xl-grow-1 {
      flex-grow: 1 !important;
    }
.flex-xl-shrink-0 {
      flex-shrink: 0 !important;
    }
.flex-xl-shrink-1 {
      flex-shrink: 1 !important;
    }
.flex-xl-wrap {
      flex-wrap: wrap !important;
    }
.flex-xl-nowrap {
      flex-wrap: nowrap !important;
    }
.flex-xl-wrap-reverse {
      flex-wrap: wrap-reverse !important;
    }
.justify-content-xl-start {
      justify-content: flex-start !important;
    }
.justify-content-xl-end {
      justify-content: flex-end !important;
    }
.justify-content-xl-center {
      justify-content: center !important;
    }
.justify-content-xl-between {
      justify-content: space-between !important;
    }
.justify-content-xl-around {
      justify-content: space-around !important;
    }
.align-items-xl-start {
      align-items: flex-start !important;
    }
.align-items-xl-end {
      align-items: flex-end !important;
    }
.align-items-xl-center {
      align-items: center !important;
    }
.align-items-xl-baseline {
      align-items: baseline !important;
    }
.align-items-xl-stretch {
      align-items: stretch !important;
    }
.align-content-xl-start {
      align-content: flex-start !important;
    }
.align-content-xl-end {
      align-content: flex-end !important;
    }
.align-content-xl-center {
      align-content: center !important;
    }
.align-content-xl-between {
      align-content: space-between !important;
    }
.align-content-xl-around {
      align-content: space-around !important;
    }
.align-content-xl-stretch {
      align-content: stretch !important;
    }
.align-self-xl-auto {
      align-self: auto !important;
    }
.align-self-xl-start {
      align-self: flex-start !important;
    }
.align-self-xl-end {
      align-self: flex-end !important;
    }
.align-self-xl-center {
      align-self: center !important;
    }
.align-self-xl-baseline {
      align-self: baseline !important;
    }
.align-self-xl-stretch {
      align-self: stretch !important;
    }
.order-xl-first {
      order: -1 !important;
    }
.order-xl-0 {
      order: 0 !important;
    }
.order-xl-1 {
      order: 1 !important;
    }
.order-xl-2 {
      order: 2 !important;
    }
.order-xl-3 {
      order: 3 !important;
    }
.order-xl-4 {
      order: 4 !important;
    }
.order-xl-5 {
      order: 5 !important;
    }
.order-xl-last {
      order: 6 !important;
    }
.m-xl-0 {
      margin: 0 !important;
    }
.m-xl-1 {
      margin: 0.25rem !important;
    }
.m-xl-2 {
      margin: 0.5rem !important;
    }
.m-xl-3 {
      margin: 1rem !important;
    }
.m-xl-4 {
      margin: 1.5rem !important;
    }
.m-xl-5 {
      margin: 3rem !important;
    }
.m-xl-auto {
      margin: auto !important;
    }
.mx-xl-0 {
      margin-right: 0 !important;
margin-left: 0 !important;
    }
.mx-xl-1 {
      margin-right: 0.25rem !important;
margin-left: 0.25rem !important;
    }
.mx-xl-2 {
      margin-right: 0.5rem !important;
margin-left: 0.5rem !important;
    }
.mx-xl-3 {
      margin-right: 1rem !important;
margin-left: 1rem !important;
    }
.mx-xl-4 {
      margin-right: 1.5rem !important;
margin-left: 1.5rem !important;
    }
.mx-xl-5 {
      margin-right: 3rem !important;
margin-left: 3rem !important;
    }
.mx-xl-auto {
      margin-right: auto !important;
margin-left: auto !important;
    }
.my-xl-0 {
      margin-top: 0 !important;
margin-bottom: 0 !important;
    }
.my-xl-1 {
      margin-top: 0.25rem !important;
margin-bottom: 0.25rem !important;
    }
.my-xl-2 {
      margin-top: 0.5rem !important;
margin-bottom: 0.5rem !important;
    }
.my-xl-3 {
      margin-top: 1rem !important;
margin-bottom: 1rem !important;
    }
.my-xl-4 {
      margin-top: 1.5rem !important;
margin-bottom: 1.5rem !important;
    }
.my-xl-5 {
      margin-top: 3rem !important;
margin-bottom: 3rem !important;
    }
.my-xl-auto {
      margin-top: auto !important;
margin-bottom: auto !important;
    }
.mt-xl-0 {
      margin-top: 0 !important;
    }
.mt-xl-1 {
      margin-top: 0.25rem !important;
    }
.mt-xl-2 {
      margin-top: 0.5rem !important;
    }
.mt-xl-3 {
      margin-top: 1rem !important;
    }
.mt-xl-4 {
      margin-top: 1.5rem !important;
    }
.mt-xl-5 {
      margin-top: 3rem !important;
    }
.mt-xl-auto {
      margin-top: auto !important;
    }
.mr-xl-0 {
      margin-right: 0 !important;
    }
.mr-xl-1 {
      margin-right: 0.25rem !important;
    }
.mr-xl-2 {
      margin-right: 0.5rem !important;
    }
.mr-xl-3 {
      margin-right: 1rem !important;
    }
.mr-xl-4 {
      margin-right: 1.5rem !important;
    }
.mr-xl-5 {
      margin-right: 3rem !important;
    }
.mr-xl-auto {
      margin-right: auto !important;
    }
.mb-xl-0 {
      margin-bottom: 0 !important;
    }
.mb-xl-1 {
      margin-bottom: 0.25rem !important;
    }
.mb-xl-2 {
      margin-bottom: 0.5rem !important;
    }
.mb-xl-3 {
      margin-bottom: 1rem !important;
    }
.mb-xl-4 {
      margin-bottom: 1.5rem !important;
    }
.mb-xl-5 {
      margin-bottom: 3rem !important;
    }
.mb-xl-auto {
      margin-bottom: auto !important;
    }
.ml-xl-0 {
      margin-left: 0 !important;
    }
.ml-xl-1 {
      margin-left: 0.25rem !important;
    }
.ml-xl-2 {
      margin-left: 0.5rem !important;
    }
.ml-xl-3 {
      margin-left: 1rem !important;
    }
.ml-xl-4 {
      margin-left: 1.5rem !important;
    }
.ml-xl-5 {
      margin-left: 3rem !important;
    }
.ml-xl-auto {
      margin-left: auto !important;
    }
.m-xl-n1 {
      margin: -0.25rem !important;
    }
.m-xl-n2 {
      margin: -0.5rem !important;
    }
.m-xl-n3 {
      margin: -1rem !important;
    }
.m-xl-n4 {
      margin: -1.5rem !important;
    }
.m-xl-n5 {
      margin: -3rem !important;
    }
.mx-xl-n1 {
      margin-right: -0.25rem !important;
margin-left: -0.25rem !important;
    }
.mx-xl-n2 {
      margin-right: -0.5rem !important;
margin-left: -0.5rem !important;
    }
.mx-xl-n3 {
      margin-right: -1rem !important;
margin-left: -1rem !important;
    }
.mx-xl-n4 {
      margin-right: -1.5rem !important;
margin-left: -1.5rem !important;
    }
.mx-xl-n5 {
      margin-right: -3rem !important;
margin-left: -3rem !important;
    }
.my-xl-n1 {
      margin-top: -0.25rem !important;
margin-bottom: -0.25rem !important;
    }
.my-xl-n2 {
      margin-top: -0.5rem !important;
margin-bottom: -0.5rem !important;
    }
.my-xl-n3 {
      margin-top: -1rem !important;
margin-bottom: -1rem !important;
    }
.my-xl-n4 {
      margin-top: -1.5rem !important;
margin-bottom: -1.5rem !important;
    }
.my-xl-n5 {
      margin-top: -3rem !important;
margin-bottom: -3rem !important;
    }
.mt-xl-n1 {
      margin-top: -0.25rem !important;
    }
.mt-xl-n2 {
      margin-top: -0.5rem !important;
    }
.mt-xl-n3 {
      margin-top: -1rem !important;
    }
.mt-xl-n4 {
      margin-top: -1.5rem !important;
    }
.mt-xl-n5 {
      margin-top: -3rem !important;
    }
.mr-xl-n1 {
      margin-right: -0.25rem !important;
    }
.mr-xl-n2 {
      margin-right: -0.5rem !important;
    }
.mr-xl-n3 {
      margin-right: -1rem !important;
    }
.mr-xl-n4 {
      margin-right: -1.5rem !important;
    }
.mr-xl-n5 {
      margin-right: -3rem !important;
    }
.mb-xl-n1 {
      margin-bottom: -0.25rem !important;
    }
.mb-xl-n2 {
      margin-bottom: -0.5rem !important;
    }
.mb-xl-n3 {
      margin-bottom: -1rem !important;
    }
.mb-xl-n4 {
      margin-bottom: -1.5rem !important;
    }
.mb-xl-n5 {
      margin-bottom: -3rem !important;
    }
.ml-xl-n1 {
      margin-left: -0.25rem !important;
    }
.ml-xl-n2 {
      margin-left: -0.5rem !important;
    }
.ml-xl-n3 {
      margin-left: -1rem !important;
    }
.ml-xl-n4 {
      margin-left: -1.5rem !important;
    }
.ml-xl-n5 {
      margin-left: -3rem !important;
    }
.p-xl-0 {
      padding: 0 !important;
    }
.p-xl-1 {
      padding: 0.25rem !important;
    }
.p-xl-2 {
      padding: 0.5rem !important;
    }
.p-xl-3 {
      padding: 1rem !important;
    }
.p-xl-4 {
      padding: 1.5rem !important;
    }
.p-xl-5 {
      padding: 3rem !important;
    }
.px-xl-0 {
      padding-right: 0 !important;
padding-left: 0 !important;
    }
.px-xl-1 {
      padding-right: 0.25rem !important;
padding-left: 0.25rem !important;
    }
.px-xl-2 {
      padding-right: 0.5rem !important;
padding-left: 0.5rem !important;
    }
.px-xl-3 {
      padding-right: 1rem !important;
padding-left: 1rem !important;
    }
.px-xl-4 {
      padding-right: 1.5rem !important;
padding-left: 1.5rem !important;
    }
.px-xl-5 {
      padding-right: 3rem !important;
padding-left: 3rem !important;
    }
.py-xl-0 {
      padding-top: 0 !important;
padding-bottom: 0 !important;
    }
.py-xl-1 {
      padding-top: 0.25rem !important;
padding-bottom: 0.25rem !important;
    }
.py-xl-2 {
      padding-top: 0.5rem !important;
padding-bottom: 0.5rem !important;
    }
.py-xl-3 {
      padding-top: 1rem !important;
padding-bottom: 1rem !important;
    }
.py-xl-4 {
      padding-top: 1.5rem !important;
padding-bottom: 1.5rem !important;
    }
.py-xl-5 {
      padding-top: 3rem !important;
padding-bottom: 3rem !important;
    }
.pt-xl-0 {
      padding-top: 0 !important;
    }
.pt-xl-1 {
      padding-top: 0.25rem !important;
    }
.pt-xl-2 {
      padding-top: 0.5rem !important;
    }
.pt-xl-3 {
      padding-top: 1rem !important;
    }
.pt-xl-4 {
      padding-top: 1.5rem !important;
    }
.pt-xl-5 {
      padding-top: 3rem !important;
    }
.pr-xl-0 {
      padding-right: 0 !important;
    }
.pr-xl-1 {
      padding-right: 0.25rem !important;
    }
.pr-xl-2 {
      padding-right: 0.5rem !important;
    }
.pr-xl-3 {
      padding-right: 1rem !important;
    }
.pr-xl-4 {
      padding-right: 1.5rem !important;
    }
.pr-xl-5 {
      padding-right: 3rem !important;
    }
.pb-xl-0 {
      padding-bottom: 0 !important;
    }
.pb-xl-1 {
      padding-bottom: 0.25rem !important;
    }
.pb-xl-2 {
      padding-bottom: 0.5rem !important;
    }
.pb-xl-3 {
      padding-bottom: 1rem !important;
    }
.pb-xl-4 {
      padding-bottom: 1.5rem !important;
    }
.pb-xl-5 {
      padding-bottom: 3rem !important;
    }
.pl-xl-0 {
      padding-left: 0 !important;
    }
.pl-xl-1 {
      padding-left: 0.25rem !important;
    }
.pl-xl-2 {
      padding-left: 0.5rem !important;
    }
.pl-xl-3 {
      padding-left: 1rem !important;
    }
.pl-xl-4 {
      padding-left: 1.5rem !important;
    }
.pl-xl-5 {
      padding-left: 3rem !important;
    }
.text-xl-left {
      text-align: left !important;
    }
.text-xl-right {
      text-align: right !important;
    }
.text-xl-center {
      text-align: center !important;
    }
.text-xl-justify {
      text-align: justify !important;
    }
      }
    `);
  });
  it('should return all print utilities', () => {
    const css = printUtilities({
      xs: '0',
      sm: '576px',
      md: '768px',
      lg: '992px',
      xl: '1200px',
    }, theme.$utilities);
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toEqual(`@media print {
    .d-print-none {
      display: none !important;
    }
.d-print-inline {
      display: inline !important;
    }
.d-print-inline-block {
      display: inline-block !important;
    }
.d-print-block {
      display: block !important;
    }
.d-print-table {
      display: table !important;
    }
.d-print-table-row {
      display: table-row !important;
    }
.d-print-table-cell {
      display: table-cell !important;
    }
.d-print-flex {
      display: flex !important;
    }
.d-print-inline-flex {
      display: inline-flex !important;
    }
  }`);
  });
});
