"use strict";

var _theme = _interopRequireDefault(require("bootstrap-styled/lib/theme"));

var _api = require("../_api");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('bootstrap api utility', function () {
  it('should return all screen utilities', function () {
    var css = (0, _api.screenUtilities)({
      xs: '0',
      sm: '576px',
      md: '768px',
      lg: '992px',
      xl: '1200px'
    }, _theme.default.$utilities);
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toEqual(".align-baseline {\n      vertical-align: baseline !important;\n    }\n.align-top {\n      vertical-align: top !important;\n    }\n.align-middle {\n      vertical-align: middle !important;\n    }\n.align-bottom {\n      vertical-align: bottom !important;\n    }\n.align-text-bottom {\n      vertical-align: text-bottom !important;\n    }\n.align-text-top {\n      vertical-align: text-top !important;\n    }\n.float-left {\n      float: left !important;\n    }\n.float-right {\n      float: right !important;\n    }\n.float-none {\n      float: none !important;\n    }\n.overflow-auto {\n      overflow: auto !important;\n    }\n.overflow-hidden {\n      overflow: hidden !important;\n    }\n.d-none {\n      display: none !important;\n    }\n.d-inline {\n      display: inline !important;\n    }\n.d-inline-block {\n      display: inline-block !important;\n    }\n.d-block {\n      display: block !important;\n    }\n.d-table {\n      display: table !important;\n    }\n.d-table-row {\n      display: table-row !important;\n    }\n.d-table-cell {\n      display: table-cell !important;\n    }\n.d-flex {\n      display: flex !important;\n    }\n.d-inline-flex {\n      display: inline-flex !important;\n    }\n.shadow-sm {\n      box-shadow: 0 .125rem .25rem rgba(0, 0, 0, 0.075) !important;\n    }\n.shadow {\n      box-shadow: 0 .5rem 1rem rgba(0, 0, 0, 0.15) !important;\n    }\n.shadow-lg {\n      box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.175) !important;\n    }\n.shadow-none {\n      box-shadow: none !important;\n    }\n.position-static {\n      position: static !important;\n    }\n.position-relative {\n      position: relative !important;\n    }\n.position-absolute {\n      position: absolute !important;\n    }\n.position-fixed {\n      position: fixed !important;\n    }\n.position-sticky {\n      position: sticky !important;\n    }\n.border {\n      border: 1px solid #dee2e6 !important;\n    }\n.border-0 {\n      border: 0 !important;\n    }\n.border-top {\n      border-top: 1px solid #dee2e6 !important;\n    }\n.border-top-0 {\n      border-top: 0 !important;\n    }\n.border-right {\n      border-right: 1px solid #dee2e6 !important;\n    }\n.border-right-0 {\n      border-right: 0 !important;\n    }\n.border-bottom {\n      border-bottom: 1px solid #dee2e6 !important;\n    }\n.border-bottom-0 {\n      border-bottom: 0 !important;\n    }\n.border-left {\n      border-left: 1px solid #dee2e6 !important;\n    }\n.border-left-0 {\n      border-left: 0 !important;\n    }\n.border-primary {\n      border-color: #0275d8 !important;\n    }\n.border-secondary {\n      border-color: #6c757d !important;\n    }\n.border-success {\n      border-color: #5cb85c !important;\n    }\n.border-info {\n      border-color: #17a2b8 !important;\n    }\n.border-warning {\n      border-color: #ffd500 !important;\n    }\n.border-danger {\n      border-color: #d9534f !important;\n    }\n.border-light {\n      border-color: #f8f9fa !important;\n    }\n.border-dark {\n      border-color: #343a40 !important;\n    }\n.border-white {\n      border-color: #fff !important;\n    }\n.w-25 {\n      width: 25% !important;\n    }\n.w-50 {\n      width: 50% !important;\n    }\n.w-75 {\n      width: 75% !important;\n    }\n.w-100 {\n      width: 100% !important;\n    }\n.w-auto {\n      width: auto !important;\n    }\n.mw-100 {\n      max-width: 100% !important;\n    }\n.vw-100 {\n      width: 100vw !important;\n    }\n.min-vw-100 {\n      min-width: 100vw !important;\n    }\n.h-25 {\n      height: 25% !important;\n    }\n.h-50 {\n      height: 50% !important;\n    }\n.h-75 {\n      height: 75% !important;\n    }\n.h-100 {\n      height: 100% !important;\n    }\n.h-auto {\n      height: auto !important;\n    }\n.mh-100 {\n      max-height: 100% !important;\n    }\n.vh-100 {\n      height: 100vh !important;\n    }\n.min-vh-100 {\n      min-height: 100vh !important;\n    }\n.flex-fill {\n      flex: 1 1 auto !important;\n    }\n.flex-row {\n      flex-direction: row !important;\n    }\n.flex-column {\n      flex-direction: column !important;\n    }\n.flex-row-reverse {\n      flex-direction: row-reverse !important;\n    }\n.flex-column-reverse {\n      flex-direction: column-reverse !important;\n    }\n.flex-grow-0 {\n      flex-grow: 0 !important;\n    }\n.flex-grow-1 {\n      flex-grow: 1 !important;\n    }\n.flex-shrink-0 {\n      flex-shrink: 0 !important;\n    }\n.flex-shrink-1 {\n      flex-shrink: 1 !important;\n    }\n.flex-wrap {\n      flex-wrap: wrap !important;\n    }\n.flex-nowrap {\n      flex-wrap: nowrap !important;\n    }\n.flex-wrap-reverse {\n      flex-wrap: wrap-reverse !important;\n    }\n.justify-content-start {\n      justify-content: flex-start !important;\n    }\n.justify-content-end {\n      justify-content: flex-end !important;\n    }\n.justify-content-center {\n      justify-content: center !important;\n    }\n.justify-content-between {\n      justify-content: space-between !important;\n    }\n.justify-content-around {\n      justify-content: space-around !important;\n    }\n.align-items-start {\n      align-items: flex-start !important;\n    }\n.align-items-end {\n      align-items: flex-end !important;\n    }\n.align-items-center {\n      align-items: center !important;\n    }\n.align-items-baseline {\n      align-items: baseline !important;\n    }\n.align-items-stretch {\n      align-items: stretch !important;\n    }\n.align-content-start {\n      align-content: flex-start !important;\n    }\n.align-content-end {\n      align-content: flex-end !important;\n    }\n.align-content-center {\n      align-content: center !important;\n    }\n.align-content-between {\n      align-content: space-between !important;\n    }\n.align-content-around {\n      align-content: space-around !important;\n    }\n.align-content-stretch {\n      align-content: stretch !important;\n    }\n.align-self-auto {\n      align-self: auto !important;\n    }\n.align-self-start {\n      align-self: flex-start !important;\n    }\n.align-self-end {\n      align-self: flex-end !important;\n    }\n.align-self-center {\n      align-self: center !important;\n    }\n.align-self-baseline {\n      align-self: baseline !important;\n    }\n.align-self-stretch {\n      align-self: stretch !important;\n    }\n.order-first {\n      order: -1 !important;\n    }\n.order-0 {\n      order: 0 !important;\n    }\n.order-1 {\n      order: 1 !important;\n    }\n.order-2 {\n      order: 2 !important;\n    }\n.order-3 {\n      order: 3 !important;\n    }\n.order-4 {\n      order: 4 !important;\n    }\n.order-5 {\n      order: 5 !important;\n    }\n.order-last {\n      order: 6 !important;\n    }\n.m-0 {\n      margin: 0 !important;\n    }\n.m-1 {\n      margin: 0.25rem !important;\n    }\n.m-2 {\n      margin: 0.5rem !important;\n    }\n.m-3 {\n      margin: 1rem !important;\n    }\n.m-4 {\n      margin: 1.5rem !important;\n    }\n.m-5 {\n      margin: 3rem !important;\n    }\n.m-auto {\n      margin: auto !important;\n    }\n.mx-0 {\n      margin-right: 0 !important;\nmargin-left: 0 !important;\n    }\n.mx-1 {\n      margin-right: 0.25rem !important;\nmargin-left: 0.25rem !important;\n    }\n.mx-2 {\n      margin-right: 0.5rem !important;\nmargin-left: 0.5rem !important;\n    }\n.mx-3 {\n      margin-right: 1rem !important;\nmargin-left: 1rem !important;\n    }\n.mx-4 {\n      margin-right: 1.5rem !important;\nmargin-left: 1.5rem !important;\n    }\n.mx-5 {\n      margin-right: 3rem !important;\nmargin-left: 3rem !important;\n    }\n.mx-auto {\n      margin-right: auto !important;\nmargin-left: auto !important;\n    }\n.my-0 {\n      margin-top: 0 !important;\nmargin-bottom: 0 !important;\n    }\n.my-1 {\n      margin-top: 0.25rem !important;\nmargin-bottom: 0.25rem !important;\n    }\n.my-2 {\n      margin-top: 0.5rem !important;\nmargin-bottom: 0.5rem !important;\n    }\n.my-3 {\n      margin-top: 1rem !important;\nmargin-bottom: 1rem !important;\n    }\n.my-4 {\n      margin-top: 1.5rem !important;\nmargin-bottom: 1.5rem !important;\n    }\n.my-5 {\n      margin-top: 3rem !important;\nmargin-bottom: 3rem !important;\n    }\n.my-auto {\n      margin-top: auto !important;\nmargin-bottom: auto !important;\n    }\n.mt-0 {\n      margin-top: 0 !important;\n    }\n.mt-1 {\n      margin-top: 0.25rem !important;\n    }\n.mt-2 {\n      margin-top: 0.5rem !important;\n    }\n.mt-3 {\n      margin-top: 1rem !important;\n    }\n.mt-4 {\n      margin-top: 1.5rem !important;\n    }\n.mt-5 {\n      margin-top: 3rem !important;\n    }\n.mt-auto {\n      margin-top: auto !important;\n    }\n.mr-0 {\n      margin-right: 0 !important;\n    }\n.mr-1 {\n      margin-right: 0.25rem !important;\n    }\n.mr-2 {\n      margin-right: 0.5rem !important;\n    }\n.mr-3 {\n      margin-right: 1rem !important;\n    }\n.mr-4 {\n      margin-right: 1.5rem !important;\n    }\n.mr-5 {\n      margin-right: 3rem !important;\n    }\n.mr-auto {\n      margin-right: auto !important;\n    }\n.mb-0 {\n      margin-bottom: 0 !important;\n    }\n.mb-1 {\n      margin-bottom: 0.25rem !important;\n    }\n.mb-2 {\n      margin-bottom: 0.5rem !important;\n    }\n.mb-3 {\n      margin-bottom: 1rem !important;\n    }\n.mb-4 {\n      margin-bottom: 1.5rem !important;\n    }\n.mb-5 {\n      margin-bottom: 3rem !important;\n    }\n.mb-auto {\n      margin-bottom: auto !important;\n    }\n.ml-0 {\n      margin-left: 0 !important;\n    }\n.ml-1 {\n      margin-left: 0.25rem !important;\n    }\n.ml-2 {\n      margin-left: 0.5rem !important;\n    }\n.ml-3 {\n      margin-left: 1rem !important;\n    }\n.ml-4 {\n      margin-left: 1.5rem !important;\n    }\n.ml-5 {\n      margin-left: 3rem !important;\n    }\n.ml-auto {\n      margin-left: auto !important;\n    }\n.m-n1 {\n      margin: -0.25rem !important;\n    }\n.m-n2 {\n      margin: -0.5rem !important;\n    }\n.m-n3 {\n      margin: -1rem !important;\n    }\n.m-n4 {\n      margin: -1.5rem !important;\n    }\n.m-n5 {\n      margin: -3rem !important;\n    }\n.mx-n1 {\n      margin-right: -0.25rem !important;\nmargin-left: -0.25rem !important;\n    }\n.mx-n2 {\n      margin-right: -0.5rem !important;\nmargin-left: -0.5rem !important;\n    }\n.mx-n3 {\n      margin-right: -1rem !important;\nmargin-left: -1rem !important;\n    }\n.mx-n4 {\n      margin-right: -1.5rem !important;\nmargin-left: -1.5rem !important;\n    }\n.mx-n5 {\n      margin-right: -3rem !important;\nmargin-left: -3rem !important;\n    }\n.my-n1 {\n      margin-top: -0.25rem !important;\nmargin-bottom: -0.25rem !important;\n    }\n.my-n2 {\n      margin-top: -0.5rem !important;\nmargin-bottom: -0.5rem !important;\n    }\n.my-n3 {\n      margin-top: -1rem !important;\nmargin-bottom: -1rem !important;\n    }\n.my-n4 {\n      margin-top: -1.5rem !important;\nmargin-bottom: -1.5rem !important;\n    }\n.my-n5 {\n      margin-top: -3rem !important;\nmargin-bottom: -3rem !important;\n    }\n.mt-n1 {\n      margin-top: -0.25rem !important;\n    }\n.mt-n2 {\n      margin-top: -0.5rem !important;\n    }\n.mt-n3 {\n      margin-top: -1rem !important;\n    }\n.mt-n4 {\n      margin-top: -1.5rem !important;\n    }\n.mt-n5 {\n      margin-top: -3rem !important;\n    }\n.mr-n1 {\n      margin-right: -0.25rem !important;\n    }\n.mr-n2 {\n      margin-right: -0.5rem !important;\n    }\n.mr-n3 {\n      margin-right: -1rem !important;\n    }\n.mr-n4 {\n      margin-right: -1.5rem !important;\n    }\n.mr-n5 {\n      margin-right: -3rem !important;\n    }\n.mb-n1 {\n      margin-bottom: -0.25rem !important;\n    }\n.mb-n2 {\n      margin-bottom: -0.5rem !important;\n    }\n.mb-n3 {\n      margin-bottom: -1rem !important;\n    }\n.mb-n4 {\n      margin-bottom: -1.5rem !important;\n    }\n.mb-n5 {\n      margin-bottom: -3rem !important;\n    }\n.ml-n1 {\n      margin-left: -0.25rem !important;\n    }\n.ml-n2 {\n      margin-left: -0.5rem !important;\n    }\n.ml-n3 {\n      margin-left: -1rem !important;\n    }\n.ml-n4 {\n      margin-left: -1.5rem !important;\n    }\n.ml-n5 {\n      margin-left: -3rem !important;\n    }\n.p-0 {\n      padding: 0 !important;\n    }\n.p-1 {\n      padding: 0.25rem !important;\n    }\n.p-2 {\n      padding: 0.5rem !important;\n    }\n.p-3 {\n      padding: 1rem !important;\n    }\n.p-4 {\n      padding: 1.5rem !important;\n    }\n.p-5 {\n      padding: 3rem !important;\n    }\n.px-0 {\n      padding-right: 0 !important;\npadding-left: 0 !important;\n    }\n.px-1 {\n      padding-right: 0.25rem !important;\npadding-left: 0.25rem !important;\n    }\n.px-2 {\n      padding-right: 0.5rem !important;\npadding-left: 0.5rem !important;\n    }\n.px-3 {\n      padding-right: 1rem !important;\npadding-left: 1rem !important;\n    }\n.px-4 {\n      padding-right: 1.5rem !important;\npadding-left: 1.5rem !important;\n    }\n.px-5 {\n      padding-right: 3rem !important;\npadding-left: 3rem !important;\n    }\n.py-0 {\n      padding-top: 0 !important;\npadding-bottom: 0 !important;\n    }\n.py-1 {\n      padding-top: 0.25rem !important;\npadding-bottom: 0.25rem !important;\n    }\n.py-2 {\n      padding-top: 0.5rem !important;\npadding-bottom: 0.5rem !important;\n    }\n.py-3 {\n      padding-top: 1rem !important;\npadding-bottom: 1rem !important;\n    }\n.py-4 {\n      padding-top: 1.5rem !important;\npadding-bottom: 1.5rem !important;\n    }\n.py-5 {\n      padding-top: 3rem !important;\npadding-bottom: 3rem !important;\n    }\n.pt-0 {\n      padding-top: 0 !important;\n    }\n.pt-1 {\n      padding-top: 0.25rem !important;\n    }\n.pt-2 {\n      padding-top: 0.5rem !important;\n    }\n.pt-3 {\n      padding-top: 1rem !important;\n    }\n.pt-4 {\n      padding-top: 1.5rem !important;\n    }\n.pt-5 {\n      padding-top: 3rem !important;\n    }\n.pr-0 {\n      padding-right: 0 !important;\n    }\n.pr-1 {\n      padding-right: 0.25rem !important;\n    }\n.pr-2 {\n      padding-right: 0.5rem !important;\n    }\n.pr-3 {\n      padding-right: 1rem !important;\n    }\n.pr-4 {\n      padding-right: 1.5rem !important;\n    }\n.pr-5 {\n      padding-right: 3rem !important;\n    }\n.pb-0 {\n      padding-bottom: 0 !important;\n    }\n.pb-1 {\n      padding-bottom: 0.25rem !important;\n    }\n.pb-2 {\n      padding-bottom: 0.5rem !important;\n    }\n.pb-3 {\n      padding-bottom: 1rem !important;\n    }\n.pb-4 {\n      padding-bottom: 1.5rem !important;\n    }\n.pb-5 {\n      padding-bottom: 3rem !important;\n    }\n.pl-0 {\n      padding-left: 0 !important;\n    }\n.pl-1 {\n      padding-left: 0.25rem !important;\n    }\n.pl-2 {\n      padding-left: 0.5rem !important;\n    }\n.pl-3 {\n      padding-left: 1rem !important;\n    }\n.pl-4 {\n      padding-left: 1.5rem !important;\n    }\n.pl-5 {\n      padding-left: 3rem !important;\n    }\n.font-weight-light {\n      font-weight: 300 !important;\n    }\n.font-weight-lighter {\n      font-weight: lighter !important;\n    }\n.font-weight-normal {\n      font-weight: 400 !important;\n    }\n.font-weight-bold {\n      font-weight: 700 !important;\n    }\n.font-weight-bolder {\n      font-weight: bolder !important;\n    }\n.text-lowercase {\n      text-transform: lowercase !important;\n    }\n.text-uppercase {\n      text-transform: uppercase !important;\n    }\n.text-capitalize {\n      text-transform: capitalize !important;\n    }\n.text-left {\n      text-align: left !important;\n    }\n.text-right {\n      text-align: right !important;\n    }\n.text-center {\n      text-align: center !important;\n    }\n.text-justify {\n      text-align: justify !important;\n    }\n.text-primary {\n      color: #0275d8 !important;\n    }\n.text-secondary {\n      color: #6c757d !important;\n    }\n.text-success {\n      color: #5cb85c !important;\n    }\n.text-info {\n      color: #17a2b8 !important;\n    }\n.text-warning {\n      color: #ffd500 !important;\n    }\n.text-danger {\n      color: #d9534f !important;\n    }\n.text-light {\n      color: #f8f9fa !important;\n    }\n.text-dark {\n      color: #343a40 !important;\n    }\n.text-white {\n      color: #fff !important;\n    }\n.text-body {\n      color: #292b2c !important;\n    }\n.text-muted {\n      color: #636c72 !important;\n    }\n.text-black-50 {\n      color: rgba(#000, .5) !important;\n    }\n.text-white-50 {\n      color: rgba(#fff, .5) !important;\n    }\n.text-reset {\n      color: inherit !important;\n    }\n.lh-1 {\n      line-height: 1 !important;\n    }\n.lh-sm {\n      line-height: 1.3 !important;\n    }\n.lh-base {\n      line-height: 1.5 !important;\n    }\n.lh-lg {\n      line-height: 1.6 !important;\n    }\n.bg-primary {\n      background-color: #0275d8 !important;\n    }\n.bg-secondary {\n      background-color: #6c757d !important;\n    }\n.bg-success {\n      background-color: #5cb85c !important;\n    }\n.bg-info {\n      background-color: #17a2b8 !important;\n    }\n.bg-warning {\n      background-color: #ffd500 !important;\n    }\n.bg-danger {\n      background-color: #d9534f !important;\n    }\n.bg-light {\n      background-color: #f8f9fa !important;\n    }\n.bg-dark {\n      background-color: #343a40 !important;\n    }\n.bg-body {\n      background-color: #fff !important;\n    }\n.bg-white {\n      background-color: #fff !important;\n    }\n.bg-transparent {\n      background-color: transparent !important;\n    }\n.text-wrap {\n      white-space: normal !important;\n    }\n.text-nowrap {\n      white-space: nowrap !important;\n    }\n.text-decoration-none {\n      text-decoration: none !important;\n    }\n.text-decoration-underline {\n      text-decoration: underline !important;\n    }\n.text-decoration-line-through {\n      text-decoration: line-through !important;\n    }\n.font-italic {\n      font-style: italic !important;\n    }\n.text-break {\n      overflow-wrap: break-word !important;\nword-break: break-word !important;\n    }\n.font-monospace {\n      font-family: Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace !important;\n    }\n.rounded {\n      border-radius: .25rem !important;\n    }\n.rounded-sm {\n      border-radius: .2rem !important;\n    }\n.rounded-lg {\n      border-radius: .3rem !important;\n    }\n.rounded-circle {\n      border-radius: 50% !important;\n    }\n.rounded-pill {\n      border-radius: 50rem !important;\n    }\n.rounded-0 {\n      border-radius: 0 !important;\n    }\n.rounded-top {\n      border-top-left-radius: .25rem !important;\nborder-top-right-radius: .25rem !important;\n    }\n.rounded-right {\n      border-top-right-radius: .25rem !important;\nborder-bottom-right-radius: .25rem !important;\n    }\n.rounded-bottom {\n      border-bottom-right-radius: .25rem !important;\nborder-bottom-left-radius: .25rem !important;\n    }\n.rounded-left {\n      border-bottom-left-radius: .25rem !important;\nborder-top-left-radius: .25rem !important;\n    }\n.visible {\n      visibility: visible !important;\n    }\n.invisible {\n      visibility: hidden !important;\n    }\n\n      @media (min-width: 576px) {\n        .float-sm-left {\n      float: left !important;\n    }\n.float-sm-right {\n      float: right !important;\n    }\n.float-sm-none {\n      float: none !important;\n    }\n.d-sm-none {\n      display: none !important;\n    }\n.d-sm-inline {\n      display: inline !important;\n    }\n.d-sm-inline-block {\n      display: inline-block !important;\n    }\n.d-sm-block {\n      display: block !important;\n    }\n.d-sm-table {\n      display: table !important;\n    }\n.d-sm-table-row {\n      display: table-row !important;\n    }\n.d-sm-table-cell {\n      display: table-cell !important;\n    }\n.d-sm-flex {\n      display: flex !important;\n    }\n.d-sm-inline-flex {\n      display: inline-flex !important;\n    }\n.flex-sm-fill {\n      flex: 1 1 auto !important;\n    }\n.flex-sm-row {\n      flex-direction: row !important;\n    }\n.flex-sm-column {\n      flex-direction: column !important;\n    }\n.flex-sm-row-reverse {\n      flex-direction: row-reverse !important;\n    }\n.flex-sm-column-reverse {\n      flex-direction: column-reverse !important;\n    }\n.flex-sm-grow-0 {\n      flex-grow: 0 !important;\n    }\n.flex-sm-grow-1 {\n      flex-grow: 1 !important;\n    }\n.flex-sm-shrink-0 {\n      flex-shrink: 0 !important;\n    }\n.flex-sm-shrink-1 {\n      flex-shrink: 1 !important;\n    }\n.flex-sm-wrap {\n      flex-wrap: wrap !important;\n    }\n.flex-sm-nowrap {\n      flex-wrap: nowrap !important;\n    }\n.flex-sm-wrap-reverse {\n      flex-wrap: wrap-reverse !important;\n    }\n.justify-content-sm-start {\n      justify-content: flex-start !important;\n    }\n.justify-content-sm-end {\n      justify-content: flex-end !important;\n    }\n.justify-content-sm-center {\n      justify-content: center !important;\n    }\n.justify-content-sm-between {\n      justify-content: space-between !important;\n    }\n.justify-content-sm-around {\n      justify-content: space-around !important;\n    }\n.align-items-sm-start {\n      align-items: flex-start !important;\n    }\n.align-items-sm-end {\n      align-items: flex-end !important;\n    }\n.align-items-sm-center {\n      align-items: center !important;\n    }\n.align-items-sm-baseline {\n      align-items: baseline !important;\n    }\n.align-items-sm-stretch {\n      align-items: stretch !important;\n    }\n.align-content-sm-start {\n      align-content: flex-start !important;\n    }\n.align-content-sm-end {\n      align-content: flex-end !important;\n    }\n.align-content-sm-center {\n      align-content: center !important;\n    }\n.align-content-sm-between {\n      align-content: space-between !important;\n    }\n.align-content-sm-around {\n      align-content: space-around !important;\n    }\n.align-content-sm-stretch {\n      align-content: stretch !important;\n    }\n.align-self-sm-auto {\n      align-self: auto !important;\n    }\n.align-self-sm-start {\n      align-self: flex-start !important;\n    }\n.align-self-sm-end {\n      align-self: flex-end !important;\n    }\n.align-self-sm-center {\n      align-self: center !important;\n    }\n.align-self-sm-baseline {\n      align-self: baseline !important;\n    }\n.align-self-sm-stretch {\n      align-self: stretch !important;\n    }\n.order-sm-first {\n      order: -1 !important;\n    }\n.order-sm-0 {\n      order: 0 !important;\n    }\n.order-sm-1 {\n      order: 1 !important;\n    }\n.order-sm-2 {\n      order: 2 !important;\n    }\n.order-sm-3 {\n      order: 3 !important;\n    }\n.order-sm-4 {\n      order: 4 !important;\n    }\n.order-sm-5 {\n      order: 5 !important;\n    }\n.order-sm-last {\n      order: 6 !important;\n    }\n.m-sm-0 {\n      margin: 0 !important;\n    }\n.m-sm-1 {\n      margin: 0.25rem !important;\n    }\n.m-sm-2 {\n      margin: 0.5rem !important;\n    }\n.m-sm-3 {\n      margin: 1rem !important;\n    }\n.m-sm-4 {\n      margin: 1.5rem !important;\n    }\n.m-sm-5 {\n      margin: 3rem !important;\n    }\n.m-sm-auto {\n      margin: auto !important;\n    }\n.mx-sm-0 {\n      margin-right: 0 !important;\nmargin-left: 0 !important;\n    }\n.mx-sm-1 {\n      margin-right: 0.25rem !important;\nmargin-left: 0.25rem !important;\n    }\n.mx-sm-2 {\n      margin-right: 0.5rem !important;\nmargin-left: 0.5rem !important;\n    }\n.mx-sm-3 {\n      margin-right: 1rem !important;\nmargin-left: 1rem !important;\n    }\n.mx-sm-4 {\n      margin-right: 1.5rem !important;\nmargin-left: 1.5rem !important;\n    }\n.mx-sm-5 {\n      margin-right: 3rem !important;\nmargin-left: 3rem !important;\n    }\n.mx-sm-auto {\n      margin-right: auto !important;\nmargin-left: auto !important;\n    }\n.my-sm-0 {\n      margin-top: 0 !important;\nmargin-bottom: 0 !important;\n    }\n.my-sm-1 {\n      margin-top: 0.25rem !important;\nmargin-bottom: 0.25rem !important;\n    }\n.my-sm-2 {\n      margin-top: 0.5rem !important;\nmargin-bottom: 0.5rem !important;\n    }\n.my-sm-3 {\n      margin-top: 1rem !important;\nmargin-bottom: 1rem !important;\n    }\n.my-sm-4 {\n      margin-top: 1.5rem !important;\nmargin-bottom: 1.5rem !important;\n    }\n.my-sm-5 {\n      margin-top: 3rem !important;\nmargin-bottom: 3rem !important;\n    }\n.my-sm-auto {\n      margin-top: auto !important;\nmargin-bottom: auto !important;\n    }\n.mt-sm-0 {\n      margin-top: 0 !important;\n    }\n.mt-sm-1 {\n      margin-top: 0.25rem !important;\n    }\n.mt-sm-2 {\n      margin-top: 0.5rem !important;\n    }\n.mt-sm-3 {\n      margin-top: 1rem !important;\n    }\n.mt-sm-4 {\n      margin-top: 1.5rem !important;\n    }\n.mt-sm-5 {\n      margin-top: 3rem !important;\n    }\n.mt-sm-auto {\n      margin-top: auto !important;\n    }\n.mr-sm-0 {\n      margin-right: 0 !important;\n    }\n.mr-sm-1 {\n      margin-right: 0.25rem !important;\n    }\n.mr-sm-2 {\n      margin-right: 0.5rem !important;\n    }\n.mr-sm-3 {\n      margin-right: 1rem !important;\n    }\n.mr-sm-4 {\n      margin-right: 1.5rem !important;\n    }\n.mr-sm-5 {\n      margin-right: 3rem !important;\n    }\n.mr-sm-auto {\n      margin-right: auto !important;\n    }\n.mb-sm-0 {\n      margin-bottom: 0 !important;\n    }\n.mb-sm-1 {\n      margin-bottom: 0.25rem !important;\n    }\n.mb-sm-2 {\n      margin-bottom: 0.5rem !important;\n    }\n.mb-sm-3 {\n      margin-bottom: 1rem !important;\n    }\n.mb-sm-4 {\n      margin-bottom: 1.5rem !important;\n    }\n.mb-sm-5 {\n      margin-bottom: 3rem !important;\n    }\n.mb-sm-auto {\n      margin-bottom: auto !important;\n    }\n.ml-sm-0 {\n      margin-left: 0 !important;\n    }\n.ml-sm-1 {\n      margin-left: 0.25rem !important;\n    }\n.ml-sm-2 {\n      margin-left: 0.5rem !important;\n    }\n.ml-sm-3 {\n      margin-left: 1rem !important;\n    }\n.ml-sm-4 {\n      margin-left: 1.5rem !important;\n    }\n.ml-sm-5 {\n      margin-left: 3rem !important;\n    }\n.ml-sm-auto {\n      margin-left: auto !important;\n    }\n.m-sm-n1 {\n      margin: -0.25rem !important;\n    }\n.m-sm-n2 {\n      margin: -0.5rem !important;\n    }\n.m-sm-n3 {\n      margin: -1rem !important;\n    }\n.m-sm-n4 {\n      margin: -1.5rem !important;\n    }\n.m-sm-n5 {\n      margin: -3rem !important;\n    }\n.mx-sm-n1 {\n      margin-right: -0.25rem !important;\nmargin-left: -0.25rem !important;\n    }\n.mx-sm-n2 {\n      margin-right: -0.5rem !important;\nmargin-left: -0.5rem !important;\n    }\n.mx-sm-n3 {\n      margin-right: -1rem !important;\nmargin-left: -1rem !important;\n    }\n.mx-sm-n4 {\n      margin-right: -1.5rem !important;\nmargin-left: -1.5rem !important;\n    }\n.mx-sm-n5 {\n      margin-right: -3rem !important;\nmargin-left: -3rem !important;\n    }\n.my-sm-n1 {\n      margin-top: -0.25rem !important;\nmargin-bottom: -0.25rem !important;\n    }\n.my-sm-n2 {\n      margin-top: -0.5rem !important;\nmargin-bottom: -0.5rem !important;\n    }\n.my-sm-n3 {\n      margin-top: -1rem !important;\nmargin-bottom: -1rem !important;\n    }\n.my-sm-n4 {\n      margin-top: -1.5rem !important;\nmargin-bottom: -1.5rem !important;\n    }\n.my-sm-n5 {\n      margin-top: -3rem !important;\nmargin-bottom: -3rem !important;\n    }\n.mt-sm-n1 {\n      margin-top: -0.25rem !important;\n    }\n.mt-sm-n2 {\n      margin-top: -0.5rem !important;\n    }\n.mt-sm-n3 {\n      margin-top: -1rem !important;\n    }\n.mt-sm-n4 {\n      margin-top: -1.5rem !important;\n    }\n.mt-sm-n5 {\n      margin-top: -3rem !important;\n    }\n.mr-sm-n1 {\n      margin-right: -0.25rem !important;\n    }\n.mr-sm-n2 {\n      margin-right: -0.5rem !important;\n    }\n.mr-sm-n3 {\n      margin-right: -1rem !important;\n    }\n.mr-sm-n4 {\n      margin-right: -1.5rem !important;\n    }\n.mr-sm-n5 {\n      margin-right: -3rem !important;\n    }\n.mb-sm-n1 {\n      margin-bottom: -0.25rem !important;\n    }\n.mb-sm-n2 {\n      margin-bottom: -0.5rem !important;\n    }\n.mb-sm-n3 {\n      margin-bottom: -1rem !important;\n    }\n.mb-sm-n4 {\n      margin-bottom: -1.5rem !important;\n    }\n.mb-sm-n5 {\n      margin-bottom: -3rem !important;\n    }\n.ml-sm-n1 {\n      margin-left: -0.25rem !important;\n    }\n.ml-sm-n2 {\n      margin-left: -0.5rem !important;\n    }\n.ml-sm-n3 {\n      margin-left: -1rem !important;\n    }\n.ml-sm-n4 {\n      margin-left: -1.5rem !important;\n    }\n.ml-sm-n5 {\n      margin-left: -3rem !important;\n    }\n.p-sm-0 {\n      padding: 0 !important;\n    }\n.p-sm-1 {\n      padding: 0.25rem !important;\n    }\n.p-sm-2 {\n      padding: 0.5rem !important;\n    }\n.p-sm-3 {\n      padding: 1rem !important;\n    }\n.p-sm-4 {\n      padding: 1.5rem !important;\n    }\n.p-sm-5 {\n      padding: 3rem !important;\n    }\n.px-sm-0 {\n      padding-right: 0 !important;\npadding-left: 0 !important;\n    }\n.px-sm-1 {\n      padding-right: 0.25rem !important;\npadding-left: 0.25rem !important;\n    }\n.px-sm-2 {\n      padding-right: 0.5rem !important;\npadding-left: 0.5rem !important;\n    }\n.px-sm-3 {\n      padding-right: 1rem !important;\npadding-left: 1rem !important;\n    }\n.px-sm-4 {\n      padding-right: 1.5rem !important;\npadding-left: 1.5rem !important;\n    }\n.px-sm-5 {\n      padding-right: 3rem !important;\npadding-left: 3rem !important;\n    }\n.py-sm-0 {\n      padding-top: 0 !important;\npadding-bottom: 0 !important;\n    }\n.py-sm-1 {\n      padding-top: 0.25rem !important;\npadding-bottom: 0.25rem !important;\n    }\n.py-sm-2 {\n      padding-top: 0.5rem !important;\npadding-bottom: 0.5rem !important;\n    }\n.py-sm-3 {\n      padding-top: 1rem !important;\npadding-bottom: 1rem !important;\n    }\n.py-sm-4 {\n      padding-top: 1.5rem !important;\npadding-bottom: 1.5rem !important;\n    }\n.py-sm-5 {\n      padding-top: 3rem !important;\npadding-bottom: 3rem !important;\n    }\n.pt-sm-0 {\n      padding-top: 0 !important;\n    }\n.pt-sm-1 {\n      padding-top: 0.25rem !important;\n    }\n.pt-sm-2 {\n      padding-top: 0.5rem !important;\n    }\n.pt-sm-3 {\n      padding-top: 1rem !important;\n    }\n.pt-sm-4 {\n      padding-top: 1.5rem !important;\n    }\n.pt-sm-5 {\n      padding-top: 3rem !important;\n    }\n.pr-sm-0 {\n      padding-right: 0 !important;\n    }\n.pr-sm-1 {\n      padding-right: 0.25rem !important;\n    }\n.pr-sm-2 {\n      padding-right: 0.5rem !important;\n    }\n.pr-sm-3 {\n      padding-right: 1rem !important;\n    }\n.pr-sm-4 {\n      padding-right: 1.5rem !important;\n    }\n.pr-sm-5 {\n      padding-right: 3rem !important;\n    }\n.pb-sm-0 {\n      padding-bottom: 0 !important;\n    }\n.pb-sm-1 {\n      padding-bottom: 0.25rem !important;\n    }\n.pb-sm-2 {\n      padding-bottom: 0.5rem !important;\n    }\n.pb-sm-3 {\n      padding-bottom: 1rem !important;\n    }\n.pb-sm-4 {\n      padding-bottom: 1.5rem !important;\n    }\n.pb-sm-5 {\n      padding-bottom: 3rem !important;\n    }\n.pl-sm-0 {\n      padding-left: 0 !important;\n    }\n.pl-sm-1 {\n      padding-left: 0.25rem !important;\n    }\n.pl-sm-2 {\n      padding-left: 0.5rem !important;\n    }\n.pl-sm-3 {\n      padding-left: 1rem !important;\n    }\n.pl-sm-4 {\n      padding-left: 1.5rem !important;\n    }\n.pl-sm-5 {\n      padding-left: 3rem !important;\n    }\n.text-sm-left {\n      text-align: left !important;\n    }\n.text-sm-right {\n      text-align: right !important;\n    }\n.text-sm-center {\n      text-align: center !important;\n    }\n.text-sm-justify {\n      text-align: justify !important;\n    }\n      }\n    \n\n      @media (min-width: 768px) {\n        .float-md-left {\n      float: left !important;\n    }\n.float-md-right {\n      float: right !important;\n    }\n.float-md-none {\n      float: none !important;\n    }\n.d-md-none {\n      display: none !important;\n    }\n.d-md-inline {\n      display: inline !important;\n    }\n.d-md-inline-block {\n      display: inline-block !important;\n    }\n.d-md-block {\n      display: block !important;\n    }\n.d-md-table {\n      display: table !important;\n    }\n.d-md-table-row {\n      display: table-row !important;\n    }\n.d-md-table-cell {\n      display: table-cell !important;\n    }\n.d-md-flex {\n      display: flex !important;\n    }\n.d-md-inline-flex {\n      display: inline-flex !important;\n    }\n.flex-md-fill {\n      flex: 1 1 auto !important;\n    }\n.flex-md-row {\n      flex-direction: row !important;\n    }\n.flex-md-column {\n      flex-direction: column !important;\n    }\n.flex-md-row-reverse {\n      flex-direction: row-reverse !important;\n    }\n.flex-md-column-reverse {\n      flex-direction: column-reverse !important;\n    }\n.flex-md-grow-0 {\n      flex-grow: 0 !important;\n    }\n.flex-md-grow-1 {\n      flex-grow: 1 !important;\n    }\n.flex-md-shrink-0 {\n      flex-shrink: 0 !important;\n    }\n.flex-md-shrink-1 {\n      flex-shrink: 1 !important;\n    }\n.flex-md-wrap {\n      flex-wrap: wrap !important;\n    }\n.flex-md-nowrap {\n      flex-wrap: nowrap !important;\n    }\n.flex-md-wrap-reverse {\n      flex-wrap: wrap-reverse !important;\n    }\n.justify-content-md-start {\n      justify-content: flex-start !important;\n    }\n.justify-content-md-end {\n      justify-content: flex-end !important;\n    }\n.justify-content-md-center {\n      justify-content: center !important;\n    }\n.justify-content-md-between {\n      justify-content: space-between !important;\n    }\n.justify-content-md-around {\n      justify-content: space-around !important;\n    }\n.align-items-md-start {\n      align-items: flex-start !important;\n    }\n.align-items-md-end {\n      align-items: flex-end !important;\n    }\n.align-items-md-center {\n      align-items: center !important;\n    }\n.align-items-md-baseline {\n      align-items: baseline !important;\n    }\n.align-items-md-stretch {\n      align-items: stretch !important;\n    }\n.align-content-md-start {\n      align-content: flex-start !important;\n    }\n.align-content-md-end {\n      align-content: flex-end !important;\n    }\n.align-content-md-center {\n      align-content: center !important;\n    }\n.align-content-md-between {\n      align-content: space-between !important;\n    }\n.align-content-md-around {\n      align-content: space-around !important;\n    }\n.align-content-md-stretch {\n      align-content: stretch !important;\n    }\n.align-self-md-auto {\n      align-self: auto !important;\n    }\n.align-self-md-start {\n      align-self: flex-start !important;\n    }\n.align-self-md-end {\n      align-self: flex-end !important;\n    }\n.align-self-md-center {\n      align-self: center !important;\n    }\n.align-self-md-baseline {\n      align-self: baseline !important;\n    }\n.align-self-md-stretch {\n      align-self: stretch !important;\n    }\n.order-md-first {\n      order: -1 !important;\n    }\n.order-md-0 {\n      order: 0 !important;\n    }\n.order-md-1 {\n      order: 1 !important;\n    }\n.order-md-2 {\n      order: 2 !important;\n    }\n.order-md-3 {\n      order: 3 !important;\n    }\n.order-md-4 {\n      order: 4 !important;\n    }\n.order-md-5 {\n      order: 5 !important;\n    }\n.order-md-last {\n      order: 6 !important;\n    }\n.m-md-0 {\n      margin: 0 !important;\n    }\n.m-md-1 {\n      margin: 0.25rem !important;\n    }\n.m-md-2 {\n      margin: 0.5rem !important;\n    }\n.m-md-3 {\n      margin: 1rem !important;\n    }\n.m-md-4 {\n      margin: 1.5rem !important;\n    }\n.m-md-5 {\n      margin: 3rem !important;\n    }\n.m-md-auto {\n      margin: auto !important;\n    }\n.mx-md-0 {\n      margin-right: 0 !important;\nmargin-left: 0 !important;\n    }\n.mx-md-1 {\n      margin-right: 0.25rem !important;\nmargin-left: 0.25rem !important;\n    }\n.mx-md-2 {\n      margin-right: 0.5rem !important;\nmargin-left: 0.5rem !important;\n    }\n.mx-md-3 {\n      margin-right: 1rem !important;\nmargin-left: 1rem !important;\n    }\n.mx-md-4 {\n      margin-right: 1.5rem !important;\nmargin-left: 1.5rem !important;\n    }\n.mx-md-5 {\n      margin-right: 3rem !important;\nmargin-left: 3rem !important;\n    }\n.mx-md-auto {\n      margin-right: auto !important;\nmargin-left: auto !important;\n    }\n.my-md-0 {\n      margin-top: 0 !important;\nmargin-bottom: 0 !important;\n    }\n.my-md-1 {\n      margin-top: 0.25rem !important;\nmargin-bottom: 0.25rem !important;\n    }\n.my-md-2 {\n      margin-top: 0.5rem !important;\nmargin-bottom: 0.5rem !important;\n    }\n.my-md-3 {\n      margin-top: 1rem !important;\nmargin-bottom: 1rem !important;\n    }\n.my-md-4 {\n      margin-top: 1.5rem !important;\nmargin-bottom: 1.5rem !important;\n    }\n.my-md-5 {\n      margin-top: 3rem !important;\nmargin-bottom: 3rem !important;\n    }\n.my-md-auto {\n      margin-top: auto !important;\nmargin-bottom: auto !important;\n    }\n.mt-md-0 {\n      margin-top: 0 !important;\n    }\n.mt-md-1 {\n      margin-top: 0.25rem !important;\n    }\n.mt-md-2 {\n      margin-top: 0.5rem !important;\n    }\n.mt-md-3 {\n      margin-top: 1rem !important;\n    }\n.mt-md-4 {\n      margin-top: 1.5rem !important;\n    }\n.mt-md-5 {\n      margin-top: 3rem !important;\n    }\n.mt-md-auto {\n      margin-top: auto !important;\n    }\n.mr-md-0 {\n      margin-right: 0 !important;\n    }\n.mr-md-1 {\n      margin-right: 0.25rem !important;\n    }\n.mr-md-2 {\n      margin-right: 0.5rem !important;\n    }\n.mr-md-3 {\n      margin-right: 1rem !important;\n    }\n.mr-md-4 {\n      margin-right: 1.5rem !important;\n    }\n.mr-md-5 {\n      margin-right: 3rem !important;\n    }\n.mr-md-auto {\n      margin-right: auto !important;\n    }\n.mb-md-0 {\n      margin-bottom: 0 !important;\n    }\n.mb-md-1 {\n      margin-bottom: 0.25rem !important;\n    }\n.mb-md-2 {\n      margin-bottom: 0.5rem !important;\n    }\n.mb-md-3 {\n      margin-bottom: 1rem !important;\n    }\n.mb-md-4 {\n      margin-bottom: 1.5rem !important;\n    }\n.mb-md-5 {\n      margin-bottom: 3rem !important;\n    }\n.mb-md-auto {\n      margin-bottom: auto !important;\n    }\n.ml-md-0 {\n      margin-left: 0 !important;\n    }\n.ml-md-1 {\n      margin-left: 0.25rem !important;\n    }\n.ml-md-2 {\n      margin-left: 0.5rem !important;\n    }\n.ml-md-3 {\n      margin-left: 1rem !important;\n    }\n.ml-md-4 {\n      margin-left: 1.5rem !important;\n    }\n.ml-md-5 {\n      margin-left: 3rem !important;\n    }\n.ml-md-auto {\n      margin-left: auto !important;\n    }\n.m-md-n1 {\n      margin: -0.25rem !important;\n    }\n.m-md-n2 {\n      margin: -0.5rem !important;\n    }\n.m-md-n3 {\n      margin: -1rem !important;\n    }\n.m-md-n4 {\n      margin: -1.5rem !important;\n    }\n.m-md-n5 {\n      margin: -3rem !important;\n    }\n.mx-md-n1 {\n      margin-right: -0.25rem !important;\nmargin-left: -0.25rem !important;\n    }\n.mx-md-n2 {\n      margin-right: -0.5rem !important;\nmargin-left: -0.5rem !important;\n    }\n.mx-md-n3 {\n      margin-right: -1rem !important;\nmargin-left: -1rem !important;\n    }\n.mx-md-n4 {\n      margin-right: -1.5rem !important;\nmargin-left: -1.5rem !important;\n    }\n.mx-md-n5 {\n      margin-right: -3rem !important;\nmargin-left: -3rem !important;\n    }\n.my-md-n1 {\n      margin-top: -0.25rem !important;\nmargin-bottom: -0.25rem !important;\n    }\n.my-md-n2 {\n      margin-top: -0.5rem !important;\nmargin-bottom: -0.5rem !important;\n    }\n.my-md-n3 {\n      margin-top: -1rem !important;\nmargin-bottom: -1rem !important;\n    }\n.my-md-n4 {\n      margin-top: -1.5rem !important;\nmargin-bottom: -1.5rem !important;\n    }\n.my-md-n5 {\n      margin-top: -3rem !important;\nmargin-bottom: -3rem !important;\n    }\n.mt-md-n1 {\n      margin-top: -0.25rem !important;\n    }\n.mt-md-n2 {\n      margin-top: -0.5rem !important;\n    }\n.mt-md-n3 {\n      margin-top: -1rem !important;\n    }\n.mt-md-n4 {\n      margin-top: -1.5rem !important;\n    }\n.mt-md-n5 {\n      margin-top: -3rem !important;\n    }\n.mr-md-n1 {\n      margin-right: -0.25rem !important;\n    }\n.mr-md-n2 {\n      margin-right: -0.5rem !important;\n    }\n.mr-md-n3 {\n      margin-right: -1rem !important;\n    }\n.mr-md-n4 {\n      margin-right: -1.5rem !important;\n    }\n.mr-md-n5 {\n      margin-right: -3rem !important;\n    }\n.mb-md-n1 {\n      margin-bottom: -0.25rem !important;\n    }\n.mb-md-n2 {\n      margin-bottom: -0.5rem !important;\n    }\n.mb-md-n3 {\n      margin-bottom: -1rem !important;\n    }\n.mb-md-n4 {\n      margin-bottom: -1.5rem !important;\n    }\n.mb-md-n5 {\n      margin-bottom: -3rem !important;\n    }\n.ml-md-n1 {\n      margin-left: -0.25rem !important;\n    }\n.ml-md-n2 {\n      margin-left: -0.5rem !important;\n    }\n.ml-md-n3 {\n      margin-left: -1rem !important;\n    }\n.ml-md-n4 {\n      margin-left: -1.5rem !important;\n    }\n.ml-md-n5 {\n      margin-left: -3rem !important;\n    }\n.p-md-0 {\n      padding: 0 !important;\n    }\n.p-md-1 {\n      padding: 0.25rem !important;\n    }\n.p-md-2 {\n      padding: 0.5rem !important;\n    }\n.p-md-3 {\n      padding: 1rem !important;\n    }\n.p-md-4 {\n      padding: 1.5rem !important;\n    }\n.p-md-5 {\n      padding: 3rem !important;\n    }\n.px-md-0 {\n      padding-right: 0 !important;\npadding-left: 0 !important;\n    }\n.px-md-1 {\n      padding-right: 0.25rem !important;\npadding-left: 0.25rem !important;\n    }\n.px-md-2 {\n      padding-right: 0.5rem !important;\npadding-left: 0.5rem !important;\n    }\n.px-md-3 {\n      padding-right: 1rem !important;\npadding-left: 1rem !important;\n    }\n.px-md-4 {\n      padding-right: 1.5rem !important;\npadding-left: 1.5rem !important;\n    }\n.px-md-5 {\n      padding-right: 3rem !important;\npadding-left: 3rem !important;\n    }\n.py-md-0 {\n      padding-top: 0 !important;\npadding-bottom: 0 !important;\n    }\n.py-md-1 {\n      padding-top: 0.25rem !important;\npadding-bottom: 0.25rem !important;\n    }\n.py-md-2 {\n      padding-top: 0.5rem !important;\npadding-bottom: 0.5rem !important;\n    }\n.py-md-3 {\n      padding-top: 1rem !important;\npadding-bottom: 1rem !important;\n    }\n.py-md-4 {\n      padding-top: 1.5rem !important;\npadding-bottom: 1.5rem !important;\n    }\n.py-md-5 {\n      padding-top: 3rem !important;\npadding-bottom: 3rem !important;\n    }\n.pt-md-0 {\n      padding-top: 0 !important;\n    }\n.pt-md-1 {\n      padding-top: 0.25rem !important;\n    }\n.pt-md-2 {\n      padding-top: 0.5rem !important;\n    }\n.pt-md-3 {\n      padding-top: 1rem !important;\n    }\n.pt-md-4 {\n      padding-top: 1.5rem !important;\n    }\n.pt-md-5 {\n      padding-top: 3rem !important;\n    }\n.pr-md-0 {\n      padding-right: 0 !important;\n    }\n.pr-md-1 {\n      padding-right: 0.25rem !important;\n    }\n.pr-md-2 {\n      padding-right: 0.5rem !important;\n    }\n.pr-md-3 {\n      padding-right: 1rem !important;\n    }\n.pr-md-4 {\n      padding-right: 1.5rem !important;\n    }\n.pr-md-5 {\n      padding-right: 3rem !important;\n    }\n.pb-md-0 {\n      padding-bottom: 0 !important;\n    }\n.pb-md-1 {\n      padding-bottom: 0.25rem !important;\n    }\n.pb-md-2 {\n      padding-bottom: 0.5rem !important;\n    }\n.pb-md-3 {\n      padding-bottom: 1rem !important;\n    }\n.pb-md-4 {\n      padding-bottom: 1.5rem !important;\n    }\n.pb-md-5 {\n      padding-bottom: 3rem !important;\n    }\n.pl-md-0 {\n      padding-left: 0 !important;\n    }\n.pl-md-1 {\n      padding-left: 0.25rem !important;\n    }\n.pl-md-2 {\n      padding-left: 0.5rem !important;\n    }\n.pl-md-3 {\n      padding-left: 1rem !important;\n    }\n.pl-md-4 {\n      padding-left: 1.5rem !important;\n    }\n.pl-md-5 {\n      padding-left: 3rem !important;\n    }\n.text-md-left {\n      text-align: left !important;\n    }\n.text-md-right {\n      text-align: right !important;\n    }\n.text-md-center {\n      text-align: center !important;\n    }\n.text-md-justify {\n      text-align: justify !important;\n    }\n      }\n    \n\n      @media (min-width: 992px) {\n        .float-lg-left {\n      float: left !important;\n    }\n.float-lg-right {\n      float: right !important;\n    }\n.float-lg-none {\n      float: none !important;\n    }\n.d-lg-none {\n      display: none !important;\n    }\n.d-lg-inline {\n      display: inline !important;\n    }\n.d-lg-inline-block {\n      display: inline-block !important;\n    }\n.d-lg-block {\n      display: block !important;\n    }\n.d-lg-table {\n      display: table !important;\n    }\n.d-lg-table-row {\n      display: table-row !important;\n    }\n.d-lg-table-cell {\n      display: table-cell !important;\n    }\n.d-lg-flex {\n      display: flex !important;\n    }\n.d-lg-inline-flex {\n      display: inline-flex !important;\n    }\n.flex-lg-fill {\n      flex: 1 1 auto !important;\n    }\n.flex-lg-row {\n      flex-direction: row !important;\n    }\n.flex-lg-column {\n      flex-direction: column !important;\n    }\n.flex-lg-row-reverse {\n      flex-direction: row-reverse !important;\n    }\n.flex-lg-column-reverse {\n      flex-direction: column-reverse !important;\n    }\n.flex-lg-grow-0 {\n      flex-grow: 0 !important;\n    }\n.flex-lg-grow-1 {\n      flex-grow: 1 !important;\n    }\n.flex-lg-shrink-0 {\n      flex-shrink: 0 !important;\n    }\n.flex-lg-shrink-1 {\n      flex-shrink: 1 !important;\n    }\n.flex-lg-wrap {\n      flex-wrap: wrap !important;\n    }\n.flex-lg-nowrap {\n      flex-wrap: nowrap !important;\n    }\n.flex-lg-wrap-reverse {\n      flex-wrap: wrap-reverse !important;\n    }\n.justify-content-lg-start {\n      justify-content: flex-start !important;\n    }\n.justify-content-lg-end {\n      justify-content: flex-end !important;\n    }\n.justify-content-lg-center {\n      justify-content: center !important;\n    }\n.justify-content-lg-between {\n      justify-content: space-between !important;\n    }\n.justify-content-lg-around {\n      justify-content: space-around !important;\n    }\n.align-items-lg-start {\n      align-items: flex-start !important;\n    }\n.align-items-lg-end {\n      align-items: flex-end !important;\n    }\n.align-items-lg-center {\n      align-items: center !important;\n    }\n.align-items-lg-baseline {\n      align-items: baseline !important;\n    }\n.align-items-lg-stretch {\n      align-items: stretch !important;\n    }\n.align-content-lg-start {\n      align-content: flex-start !important;\n    }\n.align-content-lg-end {\n      align-content: flex-end !important;\n    }\n.align-content-lg-center {\n      align-content: center !important;\n    }\n.align-content-lg-between {\n      align-content: space-between !important;\n    }\n.align-content-lg-around {\n      align-content: space-around !important;\n    }\n.align-content-lg-stretch {\n      align-content: stretch !important;\n    }\n.align-self-lg-auto {\n      align-self: auto !important;\n    }\n.align-self-lg-start {\n      align-self: flex-start !important;\n    }\n.align-self-lg-end {\n      align-self: flex-end !important;\n    }\n.align-self-lg-center {\n      align-self: center !important;\n    }\n.align-self-lg-baseline {\n      align-self: baseline !important;\n    }\n.align-self-lg-stretch {\n      align-self: stretch !important;\n    }\n.order-lg-first {\n      order: -1 !important;\n    }\n.order-lg-0 {\n      order: 0 !important;\n    }\n.order-lg-1 {\n      order: 1 !important;\n    }\n.order-lg-2 {\n      order: 2 !important;\n    }\n.order-lg-3 {\n      order: 3 !important;\n    }\n.order-lg-4 {\n      order: 4 !important;\n    }\n.order-lg-5 {\n      order: 5 !important;\n    }\n.order-lg-last {\n      order: 6 !important;\n    }\n.m-lg-0 {\n      margin: 0 !important;\n    }\n.m-lg-1 {\n      margin: 0.25rem !important;\n    }\n.m-lg-2 {\n      margin: 0.5rem !important;\n    }\n.m-lg-3 {\n      margin: 1rem !important;\n    }\n.m-lg-4 {\n      margin: 1.5rem !important;\n    }\n.m-lg-5 {\n      margin: 3rem !important;\n    }\n.m-lg-auto {\n      margin: auto !important;\n    }\n.mx-lg-0 {\n      margin-right: 0 !important;\nmargin-left: 0 !important;\n    }\n.mx-lg-1 {\n      margin-right: 0.25rem !important;\nmargin-left: 0.25rem !important;\n    }\n.mx-lg-2 {\n      margin-right: 0.5rem !important;\nmargin-left: 0.5rem !important;\n    }\n.mx-lg-3 {\n      margin-right: 1rem !important;\nmargin-left: 1rem !important;\n    }\n.mx-lg-4 {\n      margin-right: 1.5rem !important;\nmargin-left: 1.5rem !important;\n    }\n.mx-lg-5 {\n      margin-right: 3rem !important;\nmargin-left: 3rem !important;\n    }\n.mx-lg-auto {\n      margin-right: auto !important;\nmargin-left: auto !important;\n    }\n.my-lg-0 {\n      margin-top: 0 !important;\nmargin-bottom: 0 !important;\n    }\n.my-lg-1 {\n      margin-top: 0.25rem !important;\nmargin-bottom: 0.25rem !important;\n    }\n.my-lg-2 {\n      margin-top: 0.5rem !important;\nmargin-bottom: 0.5rem !important;\n    }\n.my-lg-3 {\n      margin-top: 1rem !important;\nmargin-bottom: 1rem !important;\n    }\n.my-lg-4 {\n      margin-top: 1.5rem !important;\nmargin-bottom: 1.5rem !important;\n    }\n.my-lg-5 {\n      margin-top: 3rem !important;\nmargin-bottom: 3rem !important;\n    }\n.my-lg-auto {\n      margin-top: auto !important;\nmargin-bottom: auto !important;\n    }\n.mt-lg-0 {\n      margin-top: 0 !important;\n    }\n.mt-lg-1 {\n      margin-top: 0.25rem !important;\n    }\n.mt-lg-2 {\n      margin-top: 0.5rem !important;\n    }\n.mt-lg-3 {\n      margin-top: 1rem !important;\n    }\n.mt-lg-4 {\n      margin-top: 1.5rem !important;\n    }\n.mt-lg-5 {\n      margin-top: 3rem !important;\n    }\n.mt-lg-auto {\n      margin-top: auto !important;\n    }\n.mr-lg-0 {\n      margin-right: 0 !important;\n    }\n.mr-lg-1 {\n      margin-right: 0.25rem !important;\n    }\n.mr-lg-2 {\n      margin-right: 0.5rem !important;\n    }\n.mr-lg-3 {\n      margin-right: 1rem !important;\n    }\n.mr-lg-4 {\n      margin-right: 1.5rem !important;\n    }\n.mr-lg-5 {\n      margin-right: 3rem !important;\n    }\n.mr-lg-auto {\n      margin-right: auto !important;\n    }\n.mb-lg-0 {\n      margin-bottom: 0 !important;\n    }\n.mb-lg-1 {\n      margin-bottom: 0.25rem !important;\n    }\n.mb-lg-2 {\n      margin-bottom: 0.5rem !important;\n    }\n.mb-lg-3 {\n      margin-bottom: 1rem !important;\n    }\n.mb-lg-4 {\n      margin-bottom: 1.5rem !important;\n    }\n.mb-lg-5 {\n      margin-bottom: 3rem !important;\n    }\n.mb-lg-auto {\n      margin-bottom: auto !important;\n    }\n.ml-lg-0 {\n      margin-left: 0 !important;\n    }\n.ml-lg-1 {\n      margin-left: 0.25rem !important;\n    }\n.ml-lg-2 {\n      margin-left: 0.5rem !important;\n    }\n.ml-lg-3 {\n      margin-left: 1rem !important;\n    }\n.ml-lg-4 {\n      margin-left: 1.5rem !important;\n    }\n.ml-lg-5 {\n      margin-left: 3rem !important;\n    }\n.ml-lg-auto {\n      margin-left: auto !important;\n    }\n.m-lg-n1 {\n      margin: -0.25rem !important;\n    }\n.m-lg-n2 {\n      margin: -0.5rem !important;\n    }\n.m-lg-n3 {\n      margin: -1rem !important;\n    }\n.m-lg-n4 {\n      margin: -1.5rem !important;\n    }\n.m-lg-n5 {\n      margin: -3rem !important;\n    }\n.mx-lg-n1 {\n      margin-right: -0.25rem !important;\nmargin-left: -0.25rem !important;\n    }\n.mx-lg-n2 {\n      margin-right: -0.5rem !important;\nmargin-left: -0.5rem !important;\n    }\n.mx-lg-n3 {\n      margin-right: -1rem !important;\nmargin-left: -1rem !important;\n    }\n.mx-lg-n4 {\n      margin-right: -1.5rem !important;\nmargin-left: -1.5rem !important;\n    }\n.mx-lg-n5 {\n      margin-right: -3rem !important;\nmargin-left: -3rem !important;\n    }\n.my-lg-n1 {\n      margin-top: -0.25rem !important;\nmargin-bottom: -0.25rem !important;\n    }\n.my-lg-n2 {\n      margin-top: -0.5rem !important;\nmargin-bottom: -0.5rem !important;\n    }\n.my-lg-n3 {\n      margin-top: -1rem !important;\nmargin-bottom: -1rem !important;\n    }\n.my-lg-n4 {\n      margin-top: -1.5rem !important;\nmargin-bottom: -1.5rem !important;\n    }\n.my-lg-n5 {\n      margin-top: -3rem !important;\nmargin-bottom: -3rem !important;\n    }\n.mt-lg-n1 {\n      margin-top: -0.25rem !important;\n    }\n.mt-lg-n2 {\n      margin-top: -0.5rem !important;\n    }\n.mt-lg-n3 {\n      margin-top: -1rem !important;\n    }\n.mt-lg-n4 {\n      margin-top: -1.5rem !important;\n    }\n.mt-lg-n5 {\n      margin-top: -3rem !important;\n    }\n.mr-lg-n1 {\n      margin-right: -0.25rem !important;\n    }\n.mr-lg-n2 {\n      margin-right: -0.5rem !important;\n    }\n.mr-lg-n3 {\n      margin-right: -1rem !important;\n    }\n.mr-lg-n4 {\n      margin-right: -1.5rem !important;\n    }\n.mr-lg-n5 {\n      margin-right: -3rem !important;\n    }\n.mb-lg-n1 {\n      margin-bottom: -0.25rem !important;\n    }\n.mb-lg-n2 {\n      margin-bottom: -0.5rem !important;\n    }\n.mb-lg-n3 {\n      margin-bottom: -1rem !important;\n    }\n.mb-lg-n4 {\n      margin-bottom: -1.5rem !important;\n    }\n.mb-lg-n5 {\n      margin-bottom: -3rem !important;\n    }\n.ml-lg-n1 {\n      margin-left: -0.25rem !important;\n    }\n.ml-lg-n2 {\n      margin-left: -0.5rem !important;\n    }\n.ml-lg-n3 {\n      margin-left: -1rem !important;\n    }\n.ml-lg-n4 {\n      margin-left: -1.5rem !important;\n    }\n.ml-lg-n5 {\n      margin-left: -3rem !important;\n    }\n.p-lg-0 {\n      padding: 0 !important;\n    }\n.p-lg-1 {\n      padding: 0.25rem !important;\n    }\n.p-lg-2 {\n      padding: 0.5rem !important;\n    }\n.p-lg-3 {\n      padding: 1rem !important;\n    }\n.p-lg-4 {\n      padding: 1.5rem !important;\n    }\n.p-lg-5 {\n      padding: 3rem !important;\n    }\n.px-lg-0 {\n      padding-right: 0 !important;\npadding-left: 0 !important;\n    }\n.px-lg-1 {\n      padding-right: 0.25rem !important;\npadding-left: 0.25rem !important;\n    }\n.px-lg-2 {\n      padding-right: 0.5rem !important;\npadding-left: 0.5rem !important;\n    }\n.px-lg-3 {\n      padding-right: 1rem !important;\npadding-left: 1rem !important;\n    }\n.px-lg-4 {\n      padding-right: 1.5rem !important;\npadding-left: 1.5rem !important;\n    }\n.px-lg-5 {\n      padding-right: 3rem !important;\npadding-left: 3rem !important;\n    }\n.py-lg-0 {\n      padding-top: 0 !important;\npadding-bottom: 0 !important;\n    }\n.py-lg-1 {\n      padding-top: 0.25rem !important;\npadding-bottom: 0.25rem !important;\n    }\n.py-lg-2 {\n      padding-top: 0.5rem !important;\npadding-bottom: 0.5rem !important;\n    }\n.py-lg-3 {\n      padding-top: 1rem !important;\npadding-bottom: 1rem !important;\n    }\n.py-lg-4 {\n      padding-top: 1.5rem !important;\npadding-bottom: 1.5rem !important;\n    }\n.py-lg-5 {\n      padding-top: 3rem !important;\npadding-bottom: 3rem !important;\n    }\n.pt-lg-0 {\n      padding-top: 0 !important;\n    }\n.pt-lg-1 {\n      padding-top: 0.25rem !important;\n    }\n.pt-lg-2 {\n      padding-top: 0.5rem !important;\n    }\n.pt-lg-3 {\n      padding-top: 1rem !important;\n    }\n.pt-lg-4 {\n      padding-top: 1.5rem !important;\n    }\n.pt-lg-5 {\n      padding-top: 3rem !important;\n    }\n.pr-lg-0 {\n      padding-right: 0 !important;\n    }\n.pr-lg-1 {\n      padding-right: 0.25rem !important;\n    }\n.pr-lg-2 {\n      padding-right: 0.5rem !important;\n    }\n.pr-lg-3 {\n      padding-right: 1rem !important;\n    }\n.pr-lg-4 {\n      padding-right: 1.5rem !important;\n    }\n.pr-lg-5 {\n      padding-right: 3rem !important;\n    }\n.pb-lg-0 {\n      padding-bottom: 0 !important;\n    }\n.pb-lg-1 {\n      padding-bottom: 0.25rem !important;\n    }\n.pb-lg-2 {\n      padding-bottom: 0.5rem !important;\n    }\n.pb-lg-3 {\n      padding-bottom: 1rem !important;\n    }\n.pb-lg-4 {\n      padding-bottom: 1.5rem !important;\n    }\n.pb-lg-5 {\n      padding-bottom: 3rem !important;\n    }\n.pl-lg-0 {\n      padding-left: 0 !important;\n    }\n.pl-lg-1 {\n      padding-left: 0.25rem !important;\n    }\n.pl-lg-2 {\n      padding-left: 0.5rem !important;\n    }\n.pl-lg-3 {\n      padding-left: 1rem !important;\n    }\n.pl-lg-4 {\n      padding-left: 1.5rem !important;\n    }\n.pl-lg-5 {\n      padding-left: 3rem !important;\n    }\n.text-lg-left {\n      text-align: left !important;\n    }\n.text-lg-right {\n      text-align: right !important;\n    }\n.text-lg-center {\n      text-align: center !important;\n    }\n.text-lg-justify {\n      text-align: justify !important;\n    }\n      }\n    \n\n      @media (min-width: 1200px) {\n        .float-xl-left {\n      float: left !important;\n    }\n.float-xl-right {\n      float: right !important;\n    }\n.float-xl-none {\n      float: none !important;\n    }\n.d-xl-none {\n      display: none !important;\n    }\n.d-xl-inline {\n      display: inline !important;\n    }\n.d-xl-inline-block {\n      display: inline-block !important;\n    }\n.d-xl-block {\n      display: block !important;\n    }\n.d-xl-table {\n      display: table !important;\n    }\n.d-xl-table-row {\n      display: table-row !important;\n    }\n.d-xl-table-cell {\n      display: table-cell !important;\n    }\n.d-xl-flex {\n      display: flex !important;\n    }\n.d-xl-inline-flex {\n      display: inline-flex !important;\n    }\n.flex-xl-fill {\n      flex: 1 1 auto !important;\n    }\n.flex-xl-row {\n      flex-direction: row !important;\n    }\n.flex-xl-column {\n      flex-direction: column !important;\n    }\n.flex-xl-row-reverse {\n      flex-direction: row-reverse !important;\n    }\n.flex-xl-column-reverse {\n      flex-direction: column-reverse !important;\n    }\n.flex-xl-grow-0 {\n      flex-grow: 0 !important;\n    }\n.flex-xl-grow-1 {\n      flex-grow: 1 !important;\n    }\n.flex-xl-shrink-0 {\n      flex-shrink: 0 !important;\n    }\n.flex-xl-shrink-1 {\n      flex-shrink: 1 !important;\n    }\n.flex-xl-wrap {\n      flex-wrap: wrap !important;\n    }\n.flex-xl-nowrap {\n      flex-wrap: nowrap !important;\n    }\n.flex-xl-wrap-reverse {\n      flex-wrap: wrap-reverse !important;\n    }\n.justify-content-xl-start {\n      justify-content: flex-start !important;\n    }\n.justify-content-xl-end {\n      justify-content: flex-end !important;\n    }\n.justify-content-xl-center {\n      justify-content: center !important;\n    }\n.justify-content-xl-between {\n      justify-content: space-between !important;\n    }\n.justify-content-xl-around {\n      justify-content: space-around !important;\n    }\n.align-items-xl-start {\n      align-items: flex-start !important;\n    }\n.align-items-xl-end {\n      align-items: flex-end !important;\n    }\n.align-items-xl-center {\n      align-items: center !important;\n    }\n.align-items-xl-baseline {\n      align-items: baseline !important;\n    }\n.align-items-xl-stretch {\n      align-items: stretch !important;\n    }\n.align-content-xl-start {\n      align-content: flex-start !important;\n    }\n.align-content-xl-end {\n      align-content: flex-end !important;\n    }\n.align-content-xl-center {\n      align-content: center !important;\n    }\n.align-content-xl-between {\n      align-content: space-between !important;\n    }\n.align-content-xl-around {\n      align-content: space-around !important;\n    }\n.align-content-xl-stretch {\n      align-content: stretch !important;\n    }\n.align-self-xl-auto {\n      align-self: auto !important;\n    }\n.align-self-xl-start {\n      align-self: flex-start !important;\n    }\n.align-self-xl-end {\n      align-self: flex-end !important;\n    }\n.align-self-xl-center {\n      align-self: center !important;\n    }\n.align-self-xl-baseline {\n      align-self: baseline !important;\n    }\n.align-self-xl-stretch {\n      align-self: stretch !important;\n    }\n.order-xl-first {\n      order: -1 !important;\n    }\n.order-xl-0 {\n      order: 0 !important;\n    }\n.order-xl-1 {\n      order: 1 !important;\n    }\n.order-xl-2 {\n      order: 2 !important;\n    }\n.order-xl-3 {\n      order: 3 !important;\n    }\n.order-xl-4 {\n      order: 4 !important;\n    }\n.order-xl-5 {\n      order: 5 !important;\n    }\n.order-xl-last {\n      order: 6 !important;\n    }\n.m-xl-0 {\n      margin: 0 !important;\n    }\n.m-xl-1 {\n      margin: 0.25rem !important;\n    }\n.m-xl-2 {\n      margin: 0.5rem !important;\n    }\n.m-xl-3 {\n      margin: 1rem !important;\n    }\n.m-xl-4 {\n      margin: 1.5rem !important;\n    }\n.m-xl-5 {\n      margin: 3rem !important;\n    }\n.m-xl-auto {\n      margin: auto !important;\n    }\n.mx-xl-0 {\n      margin-right: 0 !important;\nmargin-left: 0 !important;\n    }\n.mx-xl-1 {\n      margin-right: 0.25rem !important;\nmargin-left: 0.25rem !important;\n    }\n.mx-xl-2 {\n      margin-right: 0.5rem !important;\nmargin-left: 0.5rem !important;\n    }\n.mx-xl-3 {\n      margin-right: 1rem !important;\nmargin-left: 1rem !important;\n    }\n.mx-xl-4 {\n      margin-right: 1.5rem !important;\nmargin-left: 1.5rem !important;\n    }\n.mx-xl-5 {\n      margin-right: 3rem !important;\nmargin-left: 3rem !important;\n    }\n.mx-xl-auto {\n      margin-right: auto !important;\nmargin-left: auto !important;\n    }\n.my-xl-0 {\n      margin-top: 0 !important;\nmargin-bottom: 0 !important;\n    }\n.my-xl-1 {\n      margin-top: 0.25rem !important;\nmargin-bottom: 0.25rem !important;\n    }\n.my-xl-2 {\n      margin-top: 0.5rem !important;\nmargin-bottom: 0.5rem !important;\n    }\n.my-xl-3 {\n      margin-top: 1rem !important;\nmargin-bottom: 1rem !important;\n    }\n.my-xl-4 {\n      margin-top: 1.5rem !important;\nmargin-bottom: 1.5rem !important;\n    }\n.my-xl-5 {\n      margin-top: 3rem !important;\nmargin-bottom: 3rem !important;\n    }\n.my-xl-auto {\n      margin-top: auto !important;\nmargin-bottom: auto !important;\n    }\n.mt-xl-0 {\n      margin-top: 0 !important;\n    }\n.mt-xl-1 {\n      margin-top: 0.25rem !important;\n    }\n.mt-xl-2 {\n      margin-top: 0.5rem !important;\n    }\n.mt-xl-3 {\n      margin-top: 1rem !important;\n    }\n.mt-xl-4 {\n      margin-top: 1.5rem !important;\n    }\n.mt-xl-5 {\n      margin-top: 3rem !important;\n    }\n.mt-xl-auto {\n      margin-top: auto !important;\n    }\n.mr-xl-0 {\n      margin-right: 0 !important;\n    }\n.mr-xl-1 {\n      margin-right: 0.25rem !important;\n    }\n.mr-xl-2 {\n      margin-right: 0.5rem !important;\n    }\n.mr-xl-3 {\n      margin-right: 1rem !important;\n    }\n.mr-xl-4 {\n      margin-right: 1.5rem !important;\n    }\n.mr-xl-5 {\n      margin-right: 3rem !important;\n    }\n.mr-xl-auto {\n      margin-right: auto !important;\n    }\n.mb-xl-0 {\n      margin-bottom: 0 !important;\n    }\n.mb-xl-1 {\n      margin-bottom: 0.25rem !important;\n    }\n.mb-xl-2 {\n      margin-bottom: 0.5rem !important;\n    }\n.mb-xl-3 {\n      margin-bottom: 1rem !important;\n    }\n.mb-xl-4 {\n      margin-bottom: 1.5rem !important;\n    }\n.mb-xl-5 {\n      margin-bottom: 3rem !important;\n    }\n.mb-xl-auto {\n      margin-bottom: auto !important;\n    }\n.ml-xl-0 {\n      margin-left: 0 !important;\n    }\n.ml-xl-1 {\n      margin-left: 0.25rem !important;\n    }\n.ml-xl-2 {\n      margin-left: 0.5rem !important;\n    }\n.ml-xl-3 {\n      margin-left: 1rem !important;\n    }\n.ml-xl-4 {\n      margin-left: 1.5rem !important;\n    }\n.ml-xl-5 {\n      margin-left: 3rem !important;\n    }\n.ml-xl-auto {\n      margin-left: auto !important;\n    }\n.m-xl-n1 {\n      margin: -0.25rem !important;\n    }\n.m-xl-n2 {\n      margin: -0.5rem !important;\n    }\n.m-xl-n3 {\n      margin: -1rem !important;\n    }\n.m-xl-n4 {\n      margin: -1.5rem !important;\n    }\n.m-xl-n5 {\n      margin: -3rem !important;\n    }\n.mx-xl-n1 {\n      margin-right: -0.25rem !important;\nmargin-left: -0.25rem !important;\n    }\n.mx-xl-n2 {\n      margin-right: -0.5rem !important;\nmargin-left: -0.5rem !important;\n    }\n.mx-xl-n3 {\n      margin-right: -1rem !important;\nmargin-left: -1rem !important;\n    }\n.mx-xl-n4 {\n      margin-right: -1.5rem !important;\nmargin-left: -1.5rem !important;\n    }\n.mx-xl-n5 {\n      margin-right: -3rem !important;\nmargin-left: -3rem !important;\n    }\n.my-xl-n1 {\n      margin-top: -0.25rem !important;\nmargin-bottom: -0.25rem !important;\n    }\n.my-xl-n2 {\n      margin-top: -0.5rem !important;\nmargin-bottom: -0.5rem !important;\n    }\n.my-xl-n3 {\n      margin-top: -1rem !important;\nmargin-bottom: -1rem !important;\n    }\n.my-xl-n4 {\n      margin-top: -1.5rem !important;\nmargin-bottom: -1.5rem !important;\n    }\n.my-xl-n5 {\n      margin-top: -3rem !important;\nmargin-bottom: -3rem !important;\n    }\n.mt-xl-n1 {\n      margin-top: -0.25rem !important;\n    }\n.mt-xl-n2 {\n      margin-top: -0.5rem !important;\n    }\n.mt-xl-n3 {\n      margin-top: -1rem !important;\n    }\n.mt-xl-n4 {\n      margin-top: -1.5rem !important;\n    }\n.mt-xl-n5 {\n      margin-top: -3rem !important;\n    }\n.mr-xl-n1 {\n      margin-right: -0.25rem !important;\n    }\n.mr-xl-n2 {\n      margin-right: -0.5rem !important;\n    }\n.mr-xl-n3 {\n      margin-right: -1rem !important;\n    }\n.mr-xl-n4 {\n      margin-right: -1.5rem !important;\n    }\n.mr-xl-n5 {\n      margin-right: -3rem !important;\n    }\n.mb-xl-n1 {\n      margin-bottom: -0.25rem !important;\n    }\n.mb-xl-n2 {\n      margin-bottom: -0.5rem !important;\n    }\n.mb-xl-n3 {\n      margin-bottom: -1rem !important;\n    }\n.mb-xl-n4 {\n      margin-bottom: -1.5rem !important;\n    }\n.mb-xl-n5 {\n      margin-bottom: -3rem !important;\n    }\n.ml-xl-n1 {\n      margin-left: -0.25rem !important;\n    }\n.ml-xl-n2 {\n      margin-left: -0.5rem !important;\n    }\n.ml-xl-n3 {\n      margin-left: -1rem !important;\n    }\n.ml-xl-n4 {\n      margin-left: -1.5rem !important;\n    }\n.ml-xl-n5 {\n      margin-left: -3rem !important;\n    }\n.p-xl-0 {\n      padding: 0 !important;\n    }\n.p-xl-1 {\n      padding: 0.25rem !important;\n    }\n.p-xl-2 {\n      padding: 0.5rem !important;\n    }\n.p-xl-3 {\n      padding: 1rem !important;\n    }\n.p-xl-4 {\n      padding: 1.5rem !important;\n    }\n.p-xl-5 {\n      padding: 3rem !important;\n    }\n.px-xl-0 {\n      padding-right: 0 !important;\npadding-left: 0 !important;\n    }\n.px-xl-1 {\n      padding-right: 0.25rem !important;\npadding-left: 0.25rem !important;\n    }\n.px-xl-2 {\n      padding-right: 0.5rem !important;\npadding-left: 0.5rem !important;\n    }\n.px-xl-3 {\n      padding-right: 1rem !important;\npadding-left: 1rem !important;\n    }\n.px-xl-4 {\n      padding-right: 1.5rem !important;\npadding-left: 1.5rem !important;\n    }\n.px-xl-5 {\n      padding-right: 3rem !important;\npadding-left: 3rem !important;\n    }\n.py-xl-0 {\n      padding-top: 0 !important;\npadding-bottom: 0 !important;\n    }\n.py-xl-1 {\n      padding-top: 0.25rem !important;\npadding-bottom: 0.25rem !important;\n    }\n.py-xl-2 {\n      padding-top: 0.5rem !important;\npadding-bottom: 0.5rem !important;\n    }\n.py-xl-3 {\n      padding-top: 1rem !important;\npadding-bottom: 1rem !important;\n    }\n.py-xl-4 {\n      padding-top: 1.5rem !important;\npadding-bottom: 1.5rem !important;\n    }\n.py-xl-5 {\n      padding-top: 3rem !important;\npadding-bottom: 3rem !important;\n    }\n.pt-xl-0 {\n      padding-top: 0 !important;\n    }\n.pt-xl-1 {\n      padding-top: 0.25rem !important;\n    }\n.pt-xl-2 {\n      padding-top: 0.5rem !important;\n    }\n.pt-xl-3 {\n      padding-top: 1rem !important;\n    }\n.pt-xl-4 {\n      padding-top: 1.5rem !important;\n    }\n.pt-xl-5 {\n      padding-top: 3rem !important;\n    }\n.pr-xl-0 {\n      padding-right: 0 !important;\n    }\n.pr-xl-1 {\n      padding-right: 0.25rem !important;\n    }\n.pr-xl-2 {\n      padding-right: 0.5rem !important;\n    }\n.pr-xl-3 {\n      padding-right: 1rem !important;\n    }\n.pr-xl-4 {\n      padding-right: 1.5rem !important;\n    }\n.pr-xl-5 {\n      padding-right: 3rem !important;\n    }\n.pb-xl-0 {\n      padding-bottom: 0 !important;\n    }\n.pb-xl-1 {\n      padding-bottom: 0.25rem !important;\n    }\n.pb-xl-2 {\n      padding-bottom: 0.5rem !important;\n    }\n.pb-xl-3 {\n      padding-bottom: 1rem !important;\n    }\n.pb-xl-4 {\n      padding-bottom: 1.5rem !important;\n    }\n.pb-xl-5 {\n      padding-bottom: 3rem !important;\n    }\n.pl-xl-0 {\n      padding-left: 0 !important;\n    }\n.pl-xl-1 {\n      padding-left: 0.25rem !important;\n    }\n.pl-xl-2 {\n      padding-left: 0.5rem !important;\n    }\n.pl-xl-3 {\n      padding-left: 1rem !important;\n    }\n.pl-xl-4 {\n      padding-left: 1.5rem !important;\n    }\n.pl-xl-5 {\n      padding-left: 3rem !important;\n    }\n.text-xl-left {\n      text-align: left !important;\n    }\n.text-xl-right {\n      text-align: right !important;\n    }\n.text-xl-center {\n      text-align: center !important;\n    }\n.text-xl-justify {\n      text-align: justify !important;\n    }\n      }\n    ");
  });
  it('should return all print utilities', function () {
    var css = (0, _api.printUtilities)({
      xs: '0',
      sm: '576px',
      md: '768px',
      lg: '992px',
      xl: '1200px'
    }, _theme.default.$utilities);
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect(css).toEqual("@media print {\n    .d-print-none {\n      display: none !important;\n    }\n.d-print-inline {\n      display: inline !important;\n    }\n.d-print-inline-block {\n      display: inline-block !important;\n    }\n.d-print-block {\n      display: block !important;\n    }\n.d-print-table {\n      display: table !important;\n    }\n.d-print-table-row {\n      display: table-row !important;\n    }\n.d-print-table-cell {\n      display: table-cell !important;\n    }\n.d-print-flex {\n      display: flex !important;\n    }\n.d-print-inline-flex {\n      display: inline-flex !important;\n    }\n  }");
  });
});